GNU bug report logs - #28695
26.0.60; Rendering lag spikes caused by double-buffering on Linux

Please note: This is a static page, with minimal formatting, updated once a day.
Click here to see this page with the latest information and nicer formatting.

Package: emacs; Reported by: Bryan Gilbert <bryan@HIDDEN>; dated Wed, 4 Oct 2017 06:20:02 UTC; Maintainer for emacs is bug-gnu-emacs@HIDDEN.

Message received at 28695 <at> debbugs.gnu.org:


Received: (at 28695) by debbugs.gnu.org; 28 Oct 2017 21:47:57 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sat Oct 28 17:47:57 2017
Received: from localhost ([127.0.0.1]:39538 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1e8YxR-0008Ai-K7
	for submit <at> debbugs.gnu.org; Sat, 28 Oct 2017 17:47:57 -0400
Received: from eggs.gnu.org ([208.118.235.92]:33346)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <rms@HIDDEN>) id 1e8YxP-0008AU-SD
 for 28695 <at> debbugs.gnu.org; Sat, 28 Oct 2017 17:47:56 -0400
Received: from Debian-exim by eggs.gnu.org with spam-scanned (Exim 4.71)
 (envelope-from <rms@HIDDEN>) id 1e8YxJ-0000F6-QZ
 for 28695 <at> debbugs.gnu.org; Sat, 28 Oct 2017 17:47:50 -0400
X-Spam-Checker-Version: SpamAssassin 3.3.2 (2011-06-06) on eggs.gnu.org
X-Spam-Level: 
X-Spam-Status: No, score=-1.9 required=5.0 tests=BAYES_00,RP_MATCHES_RCVD
 autolearn=disabled version=3.3.2
Received: from fencepost.gnu.org ([2001:4830:134:3::e]:53528)
 by eggs.gnu.org with esmtp (Exim 4.71) (envelope-from <rms@HIDDEN>)
 id 1e8Yx6-0008QL-C3; Sat, 28 Oct 2017 17:47:36 -0400
Received: from rms by fencepost.gnu.org with local (Exim 4.82)
 (envelope-from <rms@HIDDEN>)
 id 1e8Yx5-0001WK-Sk; Sat, 28 Oct 2017 17:47:35 -0400
Content-Type: text/plain; charset=Utf-8
From: Richard Stallman <rms@HIDDEN>
To: Dmitry Gutov <dgutov@HIDDEN>
In-reply-to: <157e8c6e-7bf9-7506-f640-3c9dadd2ffb8@HIDDEN> (message from
 Dmitry Gutov on Fri, 27 Oct 2017 02:19:28 +0300)
Subject: Re: bug#28695: 26.0.60;
 Rendering lag spikes caused by double-buffering on GNU/Linux
References: <8760bvd2w7.fsf@HIDDEN> <59D4A431.7010801@HIDDEN>
 <831smjz2b2.fsf@HIDDEN> <874lrfcg4s.fsf@HIDDEN>
 <1931afeb-51cb-89c9-72ff-c8a062fecba7@HIDDEN>
 <CAM-tV-_TL-WNPpfn0_iTEa_KhAjfzOSxZbNY1icChAeZQbkUaA@HIDDEN>
 <0e4817c9-f3f3-875d-2c81-97821c839a29@HIDDEN>
 <83376vv0gm.fsf@HIDDEN>
 <859fe715-e455-128d-5fca-6f2df4ad0eaf@HIDDEN>
 <83shesquyu.fsf@HIDDEN>
 <a7913e45-8112-9d29-ee9e-45e90b174743@HIDDEN>
 <8360bfhlie.fsf@HIDDEN> <157e8c6e-7bf9-7506-f640-3c9dadd2ffb8@HIDDEN>
Message-Id: <E1e8Yx5-0001WK-Sk@HIDDEN>
Date: Sat, 28 Oct 2017 17:47:35 -0400
X-detected-operating-system: by eggs.gnu.org: GNU/Linux 2.2.x-3.x [generic]
X-Received-From: 2001:4830:134:3::e
X-Spam-Score: -5.0 (-----)
X-Debbugs-Envelope-To: 28695
Cc: eliz@HIDDEN, bryan@HIDDEN, 28695 <at> debbugs.gnu.org,
 npostavs@HIDDEN
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Reply-To: rms@HIDDEN
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -5.0 (-----)

[[[ To any NSA and FBI agents reading my email: please consider    ]]]
[[[ whether defending the US Constitution against all enemies,     ]]]
[[[ foreign or domestic, requires you to follow Snowden's example. ]]]

I doubt that this has anything to do with Linux in particular,
so it is probably about parts of the GNU system,  So would you please
say "GNU/Linux"?

See https://gnu.org/gnu/linux-and-gnu.html and
https://gnu.org/gnu/gnu-linux-faq.html, plus the history in
https://gnu.org/gnu/the-gnu-project.html.

-- 
Dr Richard Stallman
President, Free Software Foundation (gnu.org, fsf.org)
Internet Hall-of-Famer (internethalloffame.org)
Skype: No way! See stallman.org/skype.html.





Information forwarded to bug-gnu-emacs@HIDDEN:
bug#28695; Package emacs. Full text available.

Message received at 28695 <at> debbugs.gnu.org:


Received: (at 28695) by debbugs.gnu.org; 28 Oct 2017 09:33:48 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sat Oct 28 05:33:48 2017
Received: from localhost ([127.0.0.1]:38054 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1e8NUy-0002lU-IZ
	for submit <at> debbugs.gnu.org; Sat, 28 Oct 2017 05:33:48 -0400
Received: from eggs.gnu.org ([208.118.235.92]:38290)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <eliz@HIDDEN>) id 1e8NUw-0002lF-Fu
 for 28695 <at> debbugs.gnu.org; Sat, 28 Oct 2017 05:33:46 -0400
Received: from Debian-exim by eggs.gnu.org with spam-scanned (Exim 4.71)
 (envelope-from <eliz@HIDDEN>) id 1e8NUn-0002lB-DE
 for 28695 <at> debbugs.gnu.org; Sat, 28 Oct 2017 05:33:41 -0400
X-Spam-Checker-Version: SpamAssassin 3.3.2 (2011-06-06) on eggs.gnu.org
X-Spam-Level: 
X-Spam-Status: No, score=0.8 required=5.0 tests=BAYES_50,RP_MATCHES_RCVD
 autolearn=disabled version=3.3.2
Received: from fencepost.gnu.org ([2001:4830:134:3::e]:46329)
 by eggs.gnu.org with esmtp (Exim 4.71) (envelope-from <eliz@HIDDEN>)
 id 1e8NUn-0002l2-A4; Sat, 28 Oct 2017 05:33:37 -0400
Received: from [176.228.60.248] (port=4494 helo=home-c4e4a596f7)
 by fencepost.gnu.org with esmtpsa (TLS1.2:RSA_AES_256_CBC_SHA1:256)
 (Exim 4.82) (envelope-from <eliz@HIDDEN>)
 id 1e8NUm-0000E2-LK; Sat, 28 Oct 2017 05:33:37 -0400
Date: Sat, 28 Oct 2017 12:33:31 +0300
Message-Id: <83she362hg.fsf@HIDDEN>
From: Eli Zaretskii <eliz@HIDDEN>
To: Dmitry Gutov <dgutov@HIDDEN>
In-reply-to: <157e8c6e-7bf9-7506-f640-3c9dadd2ffb8@HIDDEN> (message from
 Dmitry Gutov on Fri, 27 Oct 2017 02:19:28 +0300)
Subject: Re: bug#28695: 26.0.60; Rendering lag spikes caused by
 double-buffering on Linux
References: <8760bvd2w7.fsf@HIDDEN> <59D4A431.7010801@HIDDEN>
 <831smjz2b2.fsf@HIDDEN> <874lrfcg4s.fsf@HIDDEN>
 <1931afeb-51cb-89c9-72ff-c8a062fecba7@HIDDEN>
 <CAM-tV-_TL-WNPpfn0_iTEa_KhAjfzOSxZbNY1icChAeZQbkUaA@HIDDEN>
 <0e4817c9-f3f3-875d-2c81-97821c839a29@HIDDEN> <83376vv0gm.fsf@HIDDEN>
 <859fe715-e455-128d-5fca-6f2df4ad0eaf@HIDDEN> <83shesquyu.fsf@HIDDEN>
 <a7913e45-8112-9d29-ee9e-45e90b174743@HIDDEN> <8360bfhlie.fsf@HIDDEN>
 <157e8c6e-7bf9-7506-f640-3c9dadd2ffb8@HIDDEN>
X-detected-operating-system: by eggs.gnu.org: GNU/Linux 2.2.x-3.x [generic]
X-Received-From: 2001:4830:134:3::e
X-Spam-Score: -5.0 (-----)
X-Debbugs-Envelope-To: 28695
Cc: 28695 <at> debbugs.gnu.org, bryan@HIDDEN, npostavs@HIDDEN
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Reply-To: Eli Zaretskii <eliz@HIDDEN>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -5.0 (-----)

> Cc: npostavs@HIDDEN, bryan@HIDDEN, 28695 <at> debbugs.gnu.org
> From: Dmitry Gutov <dgutov@HIDDEN>
> Date: Fri, 27 Oct 2017 02:19:28 +0300
> 
> It's really hard for me to tell. Now, I've re-ran the experiment again 
> (last time I did it with ag, now with rg) and I'm attaching the 
> "unexpanded" views of the graphs in all cases. 1 and 11 were with a 
> small window, and 2 and 22 were with a fullscreen one.
> 
> The search results for XdbeSwapBuffers were really similar to the above, 
> so I'm not including that.
> 
> Don't really see a significant difference. If I had to guess, the 
> slowdown maybe has to do with Xorg not being able to keep up, but, like, 
> in an asynchronous fashion.

I don't see anything significant here, besides the fact that GC took
some serious percentage of time.

Thanks for your efforts.




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#28695; Package emacs. Full text available.

Message received at 28695 <at> debbugs.gnu.org:


Received: (at 28695) by debbugs.gnu.org; 26 Oct 2017 23:19:42 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Thu Oct 26 19:19:42 2017
Received: from localhost ([127.0.0.1]:35734 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1e7rR6-00048j-Cp
	for submit <at> debbugs.gnu.org; Thu, 26 Oct 2017 19:19:40 -0400
Received: from mail-wr0-f194.google.com ([209.85.128.194]:56838)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <raaahh@HIDDEN>) id 1e7rR3-00048V-MG
 for 28695 <at> debbugs.gnu.org; Thu, 26 Oct 2017 19:19:38 -0400
Received: by mail-wr0-f194.google.com with SMTP id r79so4611525wrb.13
 for <28695 <at> debbugs.gnu.org>; Thu, 26 Oct 2017 16:19:37 -0700 (PDT)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=gmail.com; s=20161025;
 h=sender:subject:to:cc:references:from:message-id:date:user-agent
 :mime-version:in-reply-to:content-language;
 bh=zixEk9IjC7+3UuHn9E5U6TnkcdXrGD5H4S+4Fbtb6ww=;
 b=o1QWC7vYlLy8g7BTDYn3QDBoRE9bM5ohxBBiQGYbnoGaNWFfmESK8oSwEUw38pLsGj
 +cp10FI84Uw/PI7abyJQSgr7hY7qsuD4ISgxHatVjd2UH4LIpGk8LLWS7cRN2yt2KIDD
 LoPXII1iWgjnw+JPjqBUbCyPoU2FpwU97KjZMlMOeRqZMWt5RPEfgVUUePIR+VY/TO6i
 ILSrBiHg9b01lOpYAsAIFVn+1xv2aezL04gnmk5slqOpsO9VbLB8Bar2H3UTBdQrxJUs
 Vi8b6RE0k5+mE6KpMW7CKfYv4O7kc4GskDaVM3nORsx/FYcrY07i9bPHliBUW9rdwxhV
 qLVg==
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20161025;
 h=x-gm-message-state:sender:subject:to:cc:references:from:message-id
 :date:user-agent:mime-version:in-reply-to:content-language;
 bh=zixEk9IjC7+3UuHn9E5U6TnkcdXrGD5H4S+4Fbtb6ww=;
 b=ROK4wX0BVELuRgYBIUVEYAVEAp0UiaZFuJuIxKK9qtOqjzzASXQj6gifsvpGjurPhP
 IDqEHBGYPwu4hA5nLNLGIndHoO6EqFo4Z0DzzbCQcvI65EriVeM1BpCQ8kRQTCnUnW59
 2HsRE/cJ95eLWPsRES4IqBBB2bs9kooQVH8EAP+dQ4N2CZL2ZgtYybtmeknKwxw+sjp5
 RkNZRNTiXKJ+2wrB953eE+ULMHFMUA9kw+/EUPg7B9JSqp2UyZb7a1OiIufiT9RWJDwE
 DWliPa/1jtw1Kjqb1fGc2XZUrUOxz91zZL1fN6vBsVjV0m0KoHSSEHh0NLQtFDD44ELd
 7pWg==
X-Gm-Message-State: AMCzsaVyTFXv7QmpWe3lchjIi7o/UYLmHaKWaTqw6W6cNfIImrNu08Gh
 tBSA6IQ/dupQE+zUbic0fK/1y0HF
X-Google-Smtp-Source: ABhQp+QbLqCqHw/heYvyhePFgIFcBAtpOJJcQk7n7dDgm8fBlh+DnzBovH+Z61WQsLFRN3+Gm16Otw==
X-Received: by 10.223.176.14 with SMTP id f14mr6385486wra.129.1509059971552;
 Thu, 26 Oct 2017 16:19:31 -0700 (PDT)
Received: from [192.168.1.3] ([185.105.174.193])
 by smtp.googlemail.com with ESMTPSA id c17sm8839545wrg.26.2017.10.26.16.19.29
 (version=TLS1_2 cipher=ECDHE-RSA-AES128-GCM-SHA256 bits=128/128);
 Thu, 26 Oct 2017 16:19:30 -0700 (PDT)
Subject: Re: bug#28695: 26.0.60; Rendering lag spikes caused by
 double-buffering on Linux
To: Eli Zaretskii <eliz@HIDDEN>
References: <8760bvd2w7.fsf@HIDDEN> <59D4A431.7010801@HIDDEN>
 <831smjz2b2.fsf@HIDDEN> <874lrfcg4s.fsf@HIDDEN>
 <1931afeb-51cb-89c9-72ff-c8a062fecba7@HIDDEN>
 <CAM-tV-_TL-WNPpfn0_iTEa_KhAjfzOSxZbNY1icChAeZQbkUaA@HIDDEN>
 <0e4817c9-f3f3-875d-2c81-97821c839a29@HIDDEN> <83376vv0gm.fsf@HIDDEN>
 <859fe715-e455-128d-5fca-6f2df4ad0eaf@HIDDEN> <83shesquyu.fsf@HIDDEN>
 <a7913e45-8112-9d29-ee9e-45e90b174743@HIDDEN> <8360bfhlie.fsf@HIDDEN>
From: Dmitry Gutov <dgutov@HIDDEN>
Message-ID: <157e8c6e-7bf9-7506-f640-3c9dadd2ffb8@HIDDEN>
Date: Fri, 27 Oct 2017 02:19:28 +0300
User-Agent: Mozilla/5.0 (X11; Linux x86_64; rv:56.0) Gecko/20100101
 Thunderbird/56.0
MIME-Version: 1.0
In-Reply-To: <8360bfhlie.fsf@HIDDEN>
Content-Type: multipart/mixed; boundary="------------E187173F58F53E3C9EB731B6"
Content-Language: en-US
X-Spam-Score: -2.1 (--)
X-Debbugs-Envelope-To: 28695
Cc: 28695 <at> debbugs.gnu.org, bryan@HIDDEN, npostavs@HIDDEN
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -2.1 (--)

This is a multi-part message in MIME format.
--------------E187173F58F53E3C9EB731B6
Content-Type: text/plain; charset=utf-8; format=flowed
Content-Transfer-Encoding: 7bit

On 10/16/17 5:30 AM, Eli Zaretskii wrote:
>>     Children  Self   Comma  Shared Object     Symbol
>>     0,03%     0,03%  emacs  libXext.so.6.4.0  [.] XdbeSwapBuffers
>>     0,00%     0,00%  emacs  emacs             [.] XdbeSwapBuffers@plt
> 
> Hmm... so do you see any difference between these 2 scenarios in other
> parts of the profiles?

It's really hard for me to tell. Now, I've re-ran the experiment again 
(last time I did it with ag, now with rg) and I'm attaching the 
"unexpanded" views of the graphs in all cases. 1 and 11 were with a 
small window, and 2 and 22 were with a fullscreen one.

The search results for XdbeSwapBuffers were really similar to the above, 
so I'm not including that.

Don't really see a significant difference. If I had to guess, the 
slowdown maybe has to do with Xorg not being able to keep up, but, like, 
in an asynchronous fashion.

--------------E187173F58F53E3C9EB731B6
Content-Type: text/plain; charset=UTF-8;
 name="perf.txt.1"
Content-Transfer-Encoding: base64
Content-Disposition: attachment;
 filename="perf.txt.1"
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--------------E187173F58F53E3C9EB731B6
Content-Type: text/plain; charset=UTF-8;
 name="perf.txt.2"
Content-Transfer-Encoding: base64
Content-Disposition: attachment;
 filename="perf.txt.2"

U2FtcGxlczogOTNLIG9mIGV2ZW50ICdjeWNsZXMnLCBFdmVudCBjb3VudCAoYXBwcm94Lik6
IDM4NjcwNjQ4ODI0CiAgQ2hpbGRyZW4gICAgICBTZWxmICBDb21tYW5kICAgICAgIFNoYXJl
ZCBPYmplY3QgICAgICAgICAgICAgICAgICBTeW1ib2wKKyAgIDI2LDc1JSAgICAyNiw2MCUg
IGVtYWNzICAgICAgICAgZW1hY3MgICAgICAgICAgICAgICAgICAgICAgICAgIFsuXSBtYXJr
X29iamVjdAorICAgMTcsNTIlICAgICAwLDAwJSAgZW1hY3MgICAgICAgICBbdW5rbm93bl0g
ICAgICAgICAgICAgICAgICAgICAgW2tdIDB4ZmZmNDJkYjRmZmY0MmNhMgorICAgIDcsODUl
ICAgICAzLDg2JSAgZW1hY3MgICAgICAgICBlbWFjcyAgICAgICAgICAgICAgICAgICAgICAg
ICAgWy5dIHJlX3NlYXJjaF8yCisgICAgNiwwOCUgICAgIDAsMDAlICByZyAgICAgICAgICAg
IHJnICAgICAgICAgICAgICAgICAgICAgICAgICAgICBbLl0gMHhmZmZmZmZmZmZmZGQ0ZmVk
CisgICAgNSw5NiUgICAgIDAsMDAlICByZyAgICAgICAgICAgIHJnICAgICAgICAgICAgICAg
ICAgICAgICAgICAgICBbLl0gMHhmZmZmZmZmZmZmZGNkNzBjCisgICAgNSw5NiUgICAgIDAs
MDAlICByZyAgICAgICAgICAgIHJnICAgICAgICAgICAgICAgICAgICAgICAgICAgICBbLl0g
MHhmZmZmZmZmZmZmZGUxZGViCisgICAgNSw5NiUgICAgIDAsMDAlICByZyAgICAgICAgICAg
IHJnICAgICAgICAgICAgICAgICAgICAgICAgICAgICBbLl0gMHhmZmZmZmZmZmZmYzAzMjUw
CisgICAgNSw5NiUgICAgIDAsMDAlICByZyAgICAgICAgICAgIHJnICAgICAgICAgICAgICAg
ICAgICAgICAgICAgICBbLl0gMHhmZmZmZmZmZmZmYzA1MDIwCisgICAgNSw5NiUgICAgIDAs
MDAlICByZyAgICAgICAgICAgIHJnICAgICAgICAgICAgICAgICAgICAgICAgICAgICBbLl0g
MHhmZmZmZmZmZmZmYzEyOTRmCisgICAgNSw3OSUgICAgIDAsMjElICBlbWFjcyAgICAgICAg
IGVtYWNzICAgICAgICAgICAgICAgICAgICAgICAgICBbLl0gZnVuY2FsbF9sYW1iZGEKKyAg
ICA0LDgxJSAgICAgNCw3OSUgIGVtYWNzICAgICAgICAgZW1hY3MgICAgICAgICAgICAgICAg
ICAgICAgICAgIFsuXSBzd2VlcF9zdHJpbmdzCisgICAgNCw0MSUgICAgIDAsMDAlICBlbWFj
cyAgICAgICAgIFt1bmtub3duXSAgICAgICAgICAgICAgICAgICAgICBbLl0gMDAwMDAwMDAw
MDAwMDAwMAorICAgIDQsMzElICAgICAwLDAwJSAgcmcgICAgICAgICAgICByZyAgICAgICAg
ICAgICAgICAgICAgICAgICAgICAgWy5dIDB4ZmZmZmZmZmZmZmNmYWQ4YgorICAgIDQsMjgl
ICAgICAwLDAwJSAgcmcgICAgICAgICAgICByZyAgICAgICAgICAgICAgICAgICAgICAgICAg
ICAgWy5dIDB4ZmZmZmZmZmZmZmM0ODRhOAorICAgIDQsMjYlICAgICAwLDAwJSAgcmcgICAg
ICAgICAgICByZyAgICAgICAgICAgICAgICAgICAgICAgICAgICAgWy5dIDB4ZmZmZmZmZmZm
ZmMzZWYwOQorICAgIDQsMjAlICAgICA0LDE4JSAgZW1hY3MgICAgICAgICBlbWFjcyAgICAg
ICAgICAgICAgICAgICAgICAgICAgWy5dIGV4ZWNfYnl0ZV9jb2RlCisgICAgMyw0NyUgICAg
IDMsNDQlICBlbWFjcyAgICAgICAgIGVtYWNzICAgICAgICAgICAgICAgICAgICAgICAgICBb
Ll0gYXNzcV9ub19xdWl0CisgICAgMyw0NCUgICAgIDMsNDIlICBlbWFjcyAgICAgICAgIGVt
YWNzICAgICAgICAgICAgICAgICAgICAgICAgICBbLl0gcmVfbWF0Y2hfMl9pbnRlcm5hbAor
ICAgIDMsMzklICAgICAwLDAwJSAgcmcgICAgICAgICAgICBba2VybmVsLmthbGxzeW1zXSAg
ICAgICAgICAgICAgW2tdIGVudHJ5X1NZU0NBTExfNjRfZmFzdHBhdGgKKyAgICAzLDE2JSAg
ICAgMCwwMSUgIGVtYWNzICAgICAgICAgW2tlcm5lbC5rYWxsc3ltc10gICAgICAgICAgICAg
IFtrXSBlbnRyeV9TWVNDQUxMXzY0X2Zhc3RwYXRoCisgICAgMiw4OSUgICAgIDAsMDAlICBy
ZyAgICAgICAgICAgIHJnICAgICAgICAgICAgICAgICAgICAgICAgICAgICBbLl0gMHhmZmZm
ZmZmZmZmYzNiMTc1CisgICAgMiw4MiUgICAgIDAsMDAlICByZyAgICAgICAgICAgIHJnICAg
ICAgICAgICAgICAgICAgICAgICAgICAgICBbLl0gMHhmZmZmZmZmZmZmZGUzOWM2CisgICAg
Miw1MyUgICAgIDAsMDAlICByZyAgICAgICAgICAgIHJnICAgICAgICAgICAgICAgICAgICAg
ICAgICAgICBbLl0gMHhmZmZmZmZmZmZmYzJlM2Q4CisgICAgMiw0NCUgICAgIDAsMDAlICBy
ZyAgICAgICAgICAgIHJnICAgICAgICAgICAgICAgICAgICAgICAgICAgICBbLl0gMHhmZmZm
ZmZmZmZmYzNmMDE0CisgICAgMiwzOSUgICAgIDAsMDAlICByZyAgICAgICAgICAgIFtrZXJu
ZWwua2FsbHN5bXNdICAgICAgICAgICAgICBba10gc3lzX3dyaXRlCisgICAgMiwzOSUgICAg
IDAsMDAlICByZyAgICAgICAgICAgIFtrZXJuZWwua2FsbHN5bXNdICAgICAgICAgICAgICBb
a10gdmZzX3dyaXRlCisgICAgMiwzOSUgICAgIDAsMDAlICByZyAgICAgICAgICAgIFtrZXJu
ZWwua2FsbHN5bXNdICAgICAgICAgICAgICBba10gX192ZnNfd3JpdGUKKyAgICAyLDM4JSAg
ICAgMCwwMSUgIHJnICAgICAgICAgICAgW2tlcm5lbC5rYWxsc3ltc10gICAgICAgICAgICAg
IFtrXSB0dHlfd3JpdGUKKyAgICAyLDE4JSAgICAgMCw2MSUgIHJnICAgICAgICAgICAgW2tl
cm5lbC5rYWxsc3ltc10gICAgICAgICAgICAgIFtrXSBuX3R0eV93cml0ZQogICAgIDEsNzQl
ICAgICAxLDczJSAgZW1hY3MgICAgICAgICBlbWFjcyAgICAgICAgICAgICAgICAgICAgICAg
ICAgWy5dIHN0cmluZ19jaGFyX3RvX2J5dGUKKyAgICAxLDQ3JSAgICAgMCwwMCUgIHJnICAg
ICAgICAgICAgcmcgICAgICAgICAgICAgICAgICAgICAgICAgICAgIFsuXSAweGZmZmZmZmZm
ZmZjMzEyZDcKKyAgICAxLDQyJSAgICAgMSw0MSUgIGVtYWNzICAgICAgICAgZW1hY3MgICAg
ICAgICAgICAgICAgICAgICAgICAgIFsuXSBzd2VlcF9jb25zZXMKKyAgICAxLDMzJSAgICAg
MCwwMCUgIGVtYWNzICAgICAgICAgW3Vua25vd25dICAgICAgICAgICAgICAgICAgICAgIFsu
XSAweGZmZmZmZmM3NTBlOTAwMDAKKyAgICAxLDI4JSAgICAgMCwwMCUgIHJnICAgICAgICAg
ICAgcmcgICAgICAgICAgICAgICAgICAgICAgICAgICAgIFsuXSAweGZmZmZmZmZmZmZjMDM0
YTAKKyAgICAxLDI2JSAgICAgMCwwMCUgIGVtYWNzICAgICAgICAgW3Vua25vd25dICAgICAg
ICAgICAgICAgICAgICAgIFsuXSAweDAwMDAwMDAwMDA4NmRmMGMKKyAgICAxLDI2JSAgICAg
MCwwMCUgIHJnICAgICAgICAgICAgcmcgICAgICAgICAgICAgICAgICAgICAgICAgICAgIFsu
XSAweGZmZmZmZmZmZmZjMmVkYTkKKyAgICAxLDI0JSAgICAgMCwwMCUgIHJnICAgICAgICAg
ICAgcmcgICAgICAgICAgICAgICAgICAgICAgICAgICAgIFsuXSAweGZmZmZmZmZmZmZkYmE4
MjIKKyAgICAxLDI0JSAgICAgMCw4NiUgIGVtYWNzICAgICAgICAgbGliYy0yLjI0LnNvICAg
ICAgICAgICAgICAgICAgIFsuXSBfX21lbW1vdmVfYXZ4X3VuYWxpZ25lZF9lcm1zCisgICAg
MSwxNSUgICAgIDAsMDMlICByZyAgICAgICAgICAgIFtrZXJuZWwua2FsbHN5bXNdICAgICAg
ICAgICAgICBba10gcHR5X3dyaXRlCisgICAgMSwxNCUgICAgIDEsMTQlICBlbWFjcyAgICAg
ICAgIGVtYWNzICAgICAgICAgICAgICAgICAgICAgICAgICBbLl0gRmFzc3EKICAgICAxLDEy
JSAgICAgMSwxMSUgIGVtYWNzICAgICAgICAgZW1hY3MgICAgICAgICAgICAgICAgICAgICAg
ICAgIFsuXSBzd2VlcF92ZWN0b3JzCisgICAgMSwwNCUgICAgIDAsODclICBlbWFjcyAgICAg
ICAgIGVtYWNzICAgICAgICAgICAgICAgICAgICAgICAgICBbLl0gRmZ1bmNhbGwKKyAgICAw
LDk5JSAgICAgMCw5OCUgIGVtYWNzICAgICAgICAgZW1hY3MgICAgICAgICAgICAgICAgICAg
ICAgICAgIFsuXSBkZWNvZGVfY29kaW5nX3V0Zl84CisgICAgMCw5NiUgICAgIDAsMDIlICBy
ZyAgICAgICAgICAgIFtrZXJuZWwua2FsbHN5bXNdICAgICAgICAgICAgICBba10gdHR5X2Zs
aXBfYnVmZmVyX3B1c2gKKyAgICAwLDk0JSAgICAgMCwxMiUgIHJnICAgICAgICAgICAgW2tl
cm5lbC5rYWxsc3ltc10gICAgICAgICAgICAgIFtrXSBxdWV1ZV93b3JrX29uCisgICAgMCw5
MyUgICAgIDAsOTElICBlbWFjcyAgICAgICAgIGVtYWNzICAgICAgICAgICAgICAgICAgICAg
ICAgICBbLl0gbWFya19jaGFyX3RhYmxlCisgICAgMCw5MSUgICAgIDAsOTAlICBlbWFjcyAg
ICAgICAgIGVtYWNzICAgICAgICAgICAgICAgICAgICAgICAgICBbLl0gcHJvZHVjZV9jaGFy
cworICAgIDAsODklICAgICAwLDAwJSAgcmcgICAgICAgICAgICByZyAgICAgICAgICAgICAg
ICAgICAgICAgICAgICAgWy5dIDB4ZmZmZmZmZmZmZmMzYWM0YgorICAgIDAsODklICAgICAw
LDAwJSAgZW1hY3MgICAgICAgICBbdW5rbm93bl0gICAgICAgICAgICAgICAgICAgICAgWy5d
IDB4MDhkMzQ3ZDNjMDgxMDcwMAogICAgIDAsODclICAgICAwLDg2JSAgZW1hY3MgICAgICAg
ICBlbWFjcyAgICAgICAgICAgICAgICAgICAgICAgICAgWy5dIGZpbmRfY2FjaGVfYm91bmRh
cnkKKyAgICAwLDg2JSAgICAgMCw4NSUgIGVtYWNzICAgICAgICAgZW1hY3MgICAgICAgICAg
ICAgICAgICAgICAgICAgIFsuXSBidWZfY2hhcnBvc190b19ieXRlcG9zCisgICAgMCw4MyUg
ICAgIDAsMDElICBlbWFjcyAgICAgICAgIGxpYmMtMi4yNC5zbyAgICAgICAgICAgICAgICAg
ICBbLl0gX19HSV9fX3dyaXRldgoK
--------------E187173F58F53E3C9EB731B6
Content-Type: text/plain; charset=UTF-8;
 name="perf.txt.11"
Content-Transfer-Encoding: base64
Content-Disposition: attachment;
 filename="perf.txt.11"
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==
--------------E187173F58F53E3C9EB731B6
Content-Type: text/plain; charset=UTF-8;
 name="perf.txt.22"
Content-Transfer-Encoding: base64
Content-Disposition: attachment;
 filename="perf.txt.22"
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--------------E187173F58F53E3C9EB731B6--




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#28695; Package emacs. Full text available.

Message received at 28695 <at> debbugs.gnu.org:


Received: (at 28695) by debbugs.gnu.org; 16 Oct 2017 02:31:01 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sun Oct 15 22:31:01 2017
Received: from localhost ([127.0.0.1]:42196 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1e3vBF-0005qD-5Y
	for submit <at> debbugs.gnu.org; Sun, 15 Oct 2017 22:31:01 -0400
Received: from eggs.gnu.org ([208.118.235.92]:52256)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <eliz@HIDDEN>) id 1e3vBE-0005jQ-1D
 for 28695 <at> debbugs.gnu.org; Sun, 15 Oct 2017 22:31:00 -0400
Received: from Debian-exim by eggs.gnu.org with spam-scanned (Exim 4.71)
 (envelope-from <eliz@HIDDEN>) id 1e3vB5-0006YN-PR
 for 28695 <at> debbugs.gnu.org; Sun, 15 Oct 2017 22:30:54 -0400
X-Spam-Checker-Version: SpamAssassin 3.3.2 (2011-06-06) on eggs.gnu.org
X-Spam-Level: 
X-Spam-Status: No, score=0.8 required=5.0 tests=BAYES_50,RP_MATCHES_RCVD
 autolearn=disabled version=3.3.2
Received: from fencepost.gnu.org ([2001:4830:134:3::e]:45270)
 by eggs.gnu.org with esmtp (Exim 4.71) (envelope-from <eliz@HIDDEN>)
 id 1e3vB5-0006YH-ML; Sun, 15 Oct 2017 22:30:51 -0400
Received: from [176.228.60.248] (port=1635 helo=home-c4e4a596f7)
 by fencepost.gnu.org with esmtpsa (TLS1.2:RSA_AES_256_CBC_SHA1:256)
 (Exim 4.82) (envelope-from <eliz@HIDDEN>)
 id 1e3vB4-0003De-Rt; Sun, 15 Oct 2017 22:30:51 -0400
Date: Mon, 16 Oct 2017 05:30:49 +0300
Message-Id: <8360bfhlie.fsf@HIDDEN>
From: Eli Zaretskii <eliz@HIDDEN>
To: Dmitry Gutov <dgutov@HIDDEN>
In-reply-to: <a7913e45-8112-9d29-ee9e-45e90b174743@HIDDEN> (message from
 Dmitry Gutov on Mon, 16 Oct 2017 01:55:54 +0300)
Subject: Re: bug#28695: 26.0.60; Rendering lag spikes caused by
 double-buffering on Linux
References: <8760bvd2w7.fsf@HIDDEN> <59D4A431.7010801@HIDDEN>
 <831smjz2b2.fsf@HIDDEN> <874lrfcg4s.fsf@HIDDEN>
 <1931afeb-51cb-89c9-72ff-c8a062fecba7@HIDDEN>
 <CAM-tV-_TL-WNPpfn0_iTEa_KhAjfzOSxZbNY1icChAeZQbkUaA@HIDDEN>
 <0e4817c9-f3f3-875d-2c81-97821c839a29@HIDDEN> <83376vv0gm.fsf@HIDDEN>
 <859fe715-e455-128d-5fca-6f2df4ad0eaf@HIDDEN> <83shesquyu.fsf@HIDDEN>
 <a7913e45-8112-9d29-ee9e-45e90b174743@HIDDEN>
X-detected-operating-system: by eggs.gnu.org: GNU/Linux 2.2.x-3.x [generic]
X-Received-From: 2001:4830:134:3::e
X-Spam-Score: -5.0 (-----)
X-Debbugs-Envelope-To: 28695
Cc: 28695 <at> debbugs.gnu.org, bryan@HIDDEN, npostavs@HIDDEN
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Reply-To: Eli Zaretskii <eliz@HIDDEN>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -5.0 (-----)

> Cc: npostavs@HIDDEN, bryan@HIDDEN, 28695 <at> debbugs.gnu.org
> From: Dmitry Gutov <dgutov@HIDDEN>
> Date: Mon, 16 Oct 2017 01:55:54 +0300
> 
>    Children  Self   Comma  Shared Object     Symbol
>    0,03%     0,03%  emacs  libXext.so.6.4.0  [.] XdbeSwapBuffers
>    0,00%     0,00%  emacs  emacs             [.] XdbeSwapBuffers@plt

Hmm... so do you see any difference between these 2 scenarios in other
parts of the profiles?

Thanks.




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#28695; Package emacs. Full text available.

Message received at 28695 <at> debbugs.gnu.org:


Received: (at 28695) by debbugs.gnu.org; 15 Oct 2017 22:56:06 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sun Oct 15 18:56:06 2017
Received: from localhost ([127.0.0.1]:42059 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1e3rpF-00068P-VJ
	for submit <at> debbugs.gnu.org; Sun, 15 Oct 2017 18:56:06 -0400
Received: from mail-wm0-f68.google.com ([74.125.82.68]:56530)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <raaahh@HIDDEN>) id 1e3rpD-00067u-U6
 for 28695 <at> debbugs.gnu.org; Sun, 15 Oct 2017 18:56:04 -0400
Received: by mail-wm0-f68.google.com with SMTP id l68so31147653wmd.5
 for <28695 <at> debbugs.gnu.org>; Sun, 15 Oct 2017 15:56:03 -0700 (PDT)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=gmail.com; s=20161025;
 h=sender:subject:to:cc:references:from:message-id:date:user-agent
 :mime-version:in-reply-to:content-language:content-transfer-encoding;
 bh=etLE6qQTuaKfyMarZb5MBZ5gnm1fvHXxBKt5XTB5WTE=;
 b=jJy3C6CCBOfbwMe3bNS8hLRF+GilZki2DTaDJD44pPdV1ikEbOCpsC6rQ7KhE9HusI
 aIR5x7W4LZP/4ddXNMj9vbySFpWZUnFAKOgvUrethfAAEEPmo3rAw1mr8GATndwT2P+w
 59jZHCcZ5UJXYUpRNdBOUx3dwc8yUPdRp/8gra5nXGRQ49zy7mQZekzi7+QMnXMV0FA4
 x/lHZfKF95yF/F+pcKaNDr0/LSzFZupLQulNtddTUrszZD6iko+DcHrZhOvjnyrHOWig
 WJwXJgXvfAbmr0RhHyUIp1iwXV+389Mp1e8Y2XuxtaZ5AHe6Y1a+x178iGYvNVy9lnnh
 ooLg==
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20161025;
 h=x-gm-message-state:sender:subject:to:cc:references:from:message-id
 :date:user-agent:mime-version:in-reply-to:content-language
 :content-transfer-encoding;
 bh=etLE6qQTuaKfyMarZb5MBZ5gnm1fvHXxBKt5XTB5WTE=;
 b=dosJAmj6KiZ2qHL50XP8QsHv9TJyrF6MLOsfrjwWAdvW3HmhMvmY/wUDm5p0RcEVmq
 2yileP1eWk46WYNkQtOT0M3TupdYrQM6nuA3kKVDpbldsSSkMqbL5VttfqpvQhahL12j
 rZpHf2tmSeC9wmdzmrPn2+w3RjKI57v4hZCcrYkJJqkUFpZQMhsnopSB8UWES4q5BBLZ
 87WnpxOaALGdne0G3tBFbpRew2sIJsQpYOPTueQEA5dYWF5o7UExNWmPcsbbQZEuM1KN
 u6GqKFEqw5H0AcbD8XgIryYnWFsJhEOpI/SJmb1SzXk2WUXA7rWVsBZA/+wb6oJlYN7b
 aMTg==
X-Gm-Message-State: AMCzsaX2uoLdLhNKrGPOorQLZh/QJiezSfp7u5oYzHX2UhSly79iBJpY
 vMV7ZcMKxrP8fYXRjxh7Ey3e6G19
X-Google-Smtp-Source: ABhQp+TNFy+E2HU9AOGY5bwi8zWKzzUg7B2ULaib//bG2gmvZZRV+Wo8EaFHyzZVKi6jc9ggB8+ZtQ==
X-Received: by 10.28.185.196 with SMTP id j187mr5905139wmf.97.1508108157731;
 Sun, 15 Oct 2017 15:55:57 -0700 (PDT)
Received: from [192.168.1.3] ([185.105.174.193])
 by smtp.googlemail.com with ESMTPSA id n14sm6815598wrg.38.2017.10.15.15.55.55
 (version=TLS1_2 cipher=ECDHE-RSA-AES128-GCM-SHA256 bits=128/128);
 Sun, 15 Oct 2017 15:55:56 -0700 (PDT)
Subject: Re: bug#28695: 26.0.60; Rendering lag spikes caused by
 double-buffering on Linux
To: Eli Zaretskii <eliz@HIDDEN>
References: <8760bvd2w7.fsf@HIDDEN> <59D4A431.7010801@HIDDEN>
 <831smjz2b2.fsf@HIDDEN> <874lrfcg4s.fsf@HIDDEN>
 <1931afeb-51cb-89c9-72ff-c8a062fecba7@HIDDEN>
 <CAM-tV-_TL-WNPpfn0_iTEa_KhAjfzOSxZbNY1icChAeZQbkUaA@HIDDEN>
 <0e4817c9-f3f3-875d-2c81-97821c839a29@HIDDEN> <83376vv0gm.fsf@HIDDEN>
 <859fe715-e455-128d-5fca-6f2df4ad0eaf@HIDDEN> <83shesquyu.fsf@HIDDEN>
From: Dmitry Gutov <dgutov@HIDDEN>
Message-ID: <a7913e45-8112-9d29-ee9e-45e90b174743@HIDDEN>
Date: Mon, 16 Oct 2017 01:55:54 +0300
User-Agent: Mozilla/5.0 (X11; Linux x86_64; rv:56.0) Gecko/20100101
 Thunderbird/56.0
MIME-Version: 1.0
In-Reply-To: <83shesquyu.fsf@HIDDEN>
Content-Type: text/plain; charset=utf-8; format=flowed
Content-Language: en-US
Content-Transfer-Encoding: 7bit
X-Spam-Score: 0.7 (/)
X-Debbugs-Envelope-To: 28695
Cc: 28695 <at> debbugs.gnu.org, bryan@HIDDEN, npostavs@HIDDEN
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: 0.7 (/)

On 10/9/17 5:03 PM, Eli Zaretskii wrote:

> I think this page (which you probably already know about) is a good
> starting point:
> 
>    http://www.brendangregg.com/perf.html

I still haven't found the appropriate recipe there, but somebody else on 
the internet suggested this, effectively:

sudo perf record -g src/emacs
# produces perf.data
sudo perf report -g -i perf.data

> Well, you saw a difference between a 4K display and a 2K display,
> didn't you?  All we need is to compare 2 situations and see where's
> the extra time spent.

A certain difference, but not a stark one. Like, I couldn't produce a 
full-on stuttering even with 4K (sometimes the gears continue spinning 
fine; probably has something to do with thread or process scheduling). 
With a small-window Emacs, the gears are spinning mostly fine.

Here are the window configurations:

1. Emacs fullscreen, 4K.
2. Emacs in a small window, much less than 2K.

Unfortunately, and if I'm reading the report right, XdbeSwapBuffers 
takes only 0,03% of CPU time in the first case and 0,02% in the second 
case. So, less than 1 percent in both cases.

Here's how it looks. I search for the function name in the report 
program, and it shows something like this:

   Children  Self   Comma  Shared Object     Symbol
   0,03%     0,03%  emacs  libXext.so.6.4.0  [.] XdbeSwapBuffers
   0,00%     0,00%  emacs  emacs             [.] XdbeSwapBuffers@plt

I'm not quite sure if perf.data contains sensitive information, but I'd 
be happy to send you the files produced by both scenarios for further 
analysis. Questions welcome, too.




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#28695; Package emacs. Full text available.

Message received at 28695 <at> debbugs.gnu.org:


Received: (at 28695) by debbugs.gnu.org; 9 Oct 2017 14:04:07 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Mon Oct 09 10:04:07 2017
Received: from localhost ([127.0.0.1]:58395 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1e1Yf5-0003qG-JG
	for submit <at> debbugs.gnu.org; Mon, 09 Oct 2017 10:04:07 -0400
Received: from eggs.gnu.org ([208.118.235.92]:58067)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <eliz@HIDDEN>) id 1e1Yf3-0003pn-Kv
 for 28695 <at> debbugs.gnu.org; Mon, 09 Oct 2017 10:04:02 -0400
Received: from Debian-exim by eggs.gnu.org with spam-scanned (Exim 4.71)
 (envelope-from <eliz@HIDDEN>) id 1e1Yeu-0003As-D9
 for 28695 <at> debbugs.gnu.org; Mon, 09 Oct 2017 10:03:56 -0400
X-Spam-Checker-Version: SpamAssassin 3.3.2 (2011-06-06) on eggs.gnu.org
X-Spam-Level: 
X-Spam-Status: No, score=0.8 required=5.0 tests=BAYES_50,RP_MATCHES_RCVD
 autolearn=disabled version=3.3.2
Received: from fencepost.gnu.org ([2001:4830:134:3::e]:58805)
 by eggs.gnu.org with esmtp (Exim 4.71) (envelope-from <eliz@HIDDEN>)
 id 1e1Yeu-0003Al-A4; Mon, 09 Oct 2017 10:03:52 -0400
Received: from 84.94.185.246.cable.012.net.il ([84.94.185.246]:1054
 helo=home-c4e4a596f7)
 by fencepost.gnu.org with esmtpsa (TLS1.2:RSA_AES_256_CBC_SHA1:256)
 (Exim 4.82) (envelope-from <eliz@HIDDEN>)
 id 1e1Yet-0004cY-Rk; Mon, 09 Oct 2017 10:03:52 -0400
Date: Mon, 09 Oct 2017 17:03:37 +0300
Message-Id: <83shesquyu.fsf@HIDDEN>
From: Eli Zaretskii <eliz@HIDDEN>
To: Dmitry Gutov <dgutov@HIDDEN>
In-reply-to: <859fe715-e455-128d-5fca-6f2df4ad0eaf@HIDDEN> (message from
 Dmitry Gutov on Mon, 9 Oct 2017 16:53:18 +0300)
Subject: Re: bug#28695: 26.0.60; Rendering lag spikes caused by
 double-buffering on Linux
References: <8760bvd2w7.fsf@HIDDEN> <59D4A431.7010801@HIDDEN>
 <831smjz2b2.fsf@HIDDEN> <874lrfcg4s.fsf@HIDDEN>
 <1931afeb-51cb-89c9-72ff-c8a062fecba7@HIDDEN>
 <CAM-tV-_TL-WNPpfn0_iTEa_KhAjfzOSxZbNY1icChAeZQbkUaA@HIDDEN>
 <0e4817c9-f3f3-875d-2c81-97821c839a29@HIDDEN> <83376vv0gm.fsf@HIDDEN>
 <859fe715-e455-128d-5fca-6f2df4ad0eaf@HIDDEN>
X-detected-operating-system: by eggs.gnu.org: GNU/Linux 2.2.x-3.x [generic]
X-Received-From: 2001:4830:134:3::e
X-Spam-Score: -5.0 (-----)
X-Debbugs-Envelope-To: 28695
Cc: 28695 <at> debbugs.gnu.org, bryan@HIDDEN, npostavs@HIDDEN
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Reply-To: Eli Zaretskii <eliz@HIDDEN>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -5.0 (-----)

> Cc: npostavs@HIDDEN, bryan@HIDDEN, 28695 <at> debbugs.gnu.org
> From: Dmitry Gutov <dgutov@HIDDEN>
> Date: Mon, 9 Oct 2017 16:53:18 +0300
> 
> On 10/7/17 11:14 AM, Eli Zaretskii wrote:
> 
> > Can some of you use a tool like perf to see whether the time taken by
> > XdbeSwapBuffers (called from xterm.c:show_back_buffer) indeed grows
> > significantly when going from the 2K class of resolutions to the 4K
> > class?  And if it isn't XdbeSwapBuffers, then what takes most of the
> > time which causes that "stutter"?
> 
> With some pointers on how to use perf, I'd be happy to do that

I think this page (which you probably already know about) is a good
starting point:

  http://www.brendangregg.com/perf.html

> (or even without, if you're willing to wait).

There's no rush, so please take your time.

> But I'm not seeing a qualitative difference between a 4K fullscreen 
> Emacs, a half-screen Emacs, or even Emacs with window resized further 
> down: there are still minor stutters here. So I'm probably not the best 
> person for this experiment.

Well, you saw a difference between a 4K display and a 2K display,
didn't you?  All we need is to compare 2 situations and see where's
the extra time spent.

Maybe Bryan could also try the profile, as he reported a significant
difference.

Thanks.




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#28695; Package emacs. Full text available.

Message received at 28695 <at> debbugs.gnu.org:


Received: (at 28695) by debbugs.gnu.org; 9 Oct 2017 13:53:29 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Mon Oct 09 09:53:29 2017
Received: from localhost ([127.0.0.1]:57373 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1e1YUr-0003Hu-AW
	for submit <at> debbugs.gnu.org; Mon, 09 Oct 2017 09:53:29 -0400
Received: from mail-wm0-f66.google.com ([74.125.82.66]:34987)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <raaahh@HIDDEN>) id 1e1YUp-0003He-S7
 for 28695 <at> debbugs.gnu.org; Mon, 09 Oct 2017 09:53:28 -0400
Received: by mail-wm0-f66.google.com with SMTP id b189so20989167wmd.2
 for <28695 <at> debbugs.gnu.org>; Mon, 09 Oct 2017 06:53:27 -0700 (PDT)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=gmail.com; s=20161025;
 h=sender:subject:to:cc:references:from:message-id:date:user-agent
 :mime-version:in-reply-to:content-language:content-transfer-encoding;
 bh=WrQFxInY66vsYvoivTPmi28mLMA30XP2pAH5UO+Akxo=;
 b=oyLNc4ppcYtwYbAeNAzHU6xs47RQYYdd6C8NmaOz7Zcd17U6T5vis2uPPshpbLkCzu
 mbb051wjO1K0Vwka7LCkh+cfuESrnwVkcya5jQ0zYc8JzGxmsKzmcx11tROiwMmVLs79
 64AIZnOZpL8wJwLl7R+Vgn/6RDxB8TLfdyKAvI3e3cj7jPUxDVSv7ilw1lPT0HenOX2n
 pid8ApTYU7gGP0c0irfq+LeXXBuqb+0AhwLszyQQa8c537lQGCoUEvRQlppLWe/a8HSf
 eTkgyqoeo49npWJAL7EzX18S/y265bFAQezbTbE8PVb2xksDa/GG++o2TPtmPEq9aeGL
 Ot/w==
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20161025;
 h=x-gm-message-state:sender:subject:to:cc:references:from:message-id
 :date:user-agent:mime-version:in-reply-to:content-language
 :content-transfer-encoding;
 bh=WrQFxInY66vsYvoivTPmi28mLMA30XP2pAH5UO+Akxo=;
 b=j31XamnkiuyQRaZLNxKwRXG/sw5yR0Jdf8/9BM9riG+o7Dr2paGyZS9KzsLaVeVVjp
 HKa6hM6kkcwrWig6QPSZC1h3zb7M/MUOSzEE8HO5zcnyozTWuVn611Y6bgEhFlnDEcjr
 oj0k8NcQs8yjD6VLOOHSsd6K6uRJq+W/dxSbBN+WGikoMSyaqTq4i8apanT9sXVKYgK8
 IwGu0Br+V0bOM9JdKNtdN0Cz1hXW7c5vtNFmvDu5bO3o5eplSVHqquUg8Jw3qe+tMCe/
 59mlSZVR1fcVoHpjR6J/opzXBrXNxVuCyFlNrQK2woC9lIPyTiJTDo+yf9fWuk0UbmBE
 QJGg==
X-Gm-Message-State: AMCzsaUPWD0QRNYARd/jEP7iearr7MSK5c41q+2VwvqOCBFxAd/hW/EB
 RKlmdQCCYm4BapUQ3alaqqobJs+Q
X-Google-Smtp-Source: AOwi7QC9/A4rAeKGyVu5U2tIuCwaugtvKVX0b+6TFAMMqNjKYSZxcaMJDrA2H916cyoeDX8+HQX98A==
X-Received: by 10.223.179.200 with SMTP id x8mr9258892wrd.274.1507557201767;
 Mon, 09 Oct 2017 06:53:21 -0700 (PDT)
Received: from [192.168.0.133] (static-nbl2-118.cytanet.com.cy.
 [212.31.107.118])
 by smtp.googlemail.com with ESMTPSA id 133sm9809602wmu.4.2017.10.09.06.53.19
 (version=TLS1_2 cipher=ECDHE-RSA-AES128-GCM-SHA256 bits=128/128);
 Mon, 09 Oct 2017 06:53:20 -0700 (PDT)
Subject: Re: bug#28695: 26.0.60; Rendering lag spikes caused by
 double-buffering on Linux
To: Eli Zaretskii <eliz@HIDDEN>
References: <8760bvd2w7.fsf@HIDDEN> <59D4A431.7010801@HIDDEN>
 <831smjz2b2.fsf@HIDDEN> <874lrfcg4s.fsf@HIDDEN>
 <1931afeb-51cb-89c9-72ff-c8a062fecba7@HIDDEN>
 <CAM-tV-_TL-WNPpfn0_iTEa_KhAjfzOSxZbNY1icChAeZQbkUaA@HIDDEN>
 <0e4817c9-f3f3-875d-2c81-97821c839a29@HIDDEN> <83376vv0gm.fsf@HIDDEN>
From: Dmitry Gutov <dgutov@HIDDEN>
Message-ID: <859fe715-e455-128d-5fca-6f2df4ad0eaf@HIDDEN>
Date: Mon, 9 Oct 2017 16:53:18 +0300
User-Agent: Mozilla/5.0 (X11; Linux x86_64; rv:56.0) Gecko/20100101
 Thunderbird/56.0
MIME-Version: 1.0
In-Reply-To: <83376vv0gm.fsf@HIDDEN>
Content-Type: text/plain; charset=utf-8; format=flowed
Content-Language: en-US
Content-Transfer-Encoding: 7bit
X-Spam-Score: 0.7 (/)
X-Debbugs-Envelope-To: 28695
Cc: 28695 <at> debbugs.gnu.org, bryan@HIDDEN, npostavs@HIDDEN
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: 0.7 (/)

On 10/7/17 11:14 AM, Eli Zaretskii wrote:

> Can some of you use a tool like perf to see whether the time taken by
> XdbeSwapBuffers (called from xterm.c:show_back_buffer) indeed grows
> significantly when going from the 2K class of resolutions to the 4K
> class?  And if it isn't XdbeSwapBuffers, then what takes most of the
> time which causes that "stutter"?

With some pointers on how to use perf, I'd be happy to do that (or even 
without, if you're willing to wait).

But I'm not seeing a qualitative difference between a 4K fullscreen 
Emacs, a half-screen Emacs, or even Emacs with window resized further 
down: there are still minor stutters here. So I'm probably not the best 
person for this experiment.




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#28695; Package emacs. Full text available.

Message received at 28695 <at> debbugs.gnu.org:


Received: (at 28695) by debbugs.gnu.org; 7 Oct 2017 08:14:52 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sat Oct 07 04:14:52 2017
Received: from localhost ([127.0.0.1]:53732 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1e0kG4-00079W-Iq
	for submit <at> debbugs.gnu.org; Sat, 07 Oct 2017 04:14:52 -0400
Received: from eggs.gnu.org ([208.118.235.92]:48678)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <eliz@HIDDEN>) id 1e0kG2-00079H-Ea
 for 28695 <at> debbugs.gnu.org; Sat, 07 Oct 2017 04:14:50 -0400
Received: from Debian-exim by eggs.gnu.org with spam-scanned (Exim 4.71)
 (envelope-from <eliz@HIDDEN>) id 1e0kFs-0001Wo-V8
 for 28695 <at> debbugs.gnu.org; Sat, 07 Oct 2017 04:14:45 -0400
X-Spam-Checker-Version: SpamAssassin 3.3.2 (2011-06-06) on eggs.gnu.org
X-Spam-Level: 
X-Spam-Status: No, score=0.8 required=5.0 tests=BAYES_50,RP_MATCHES_RCVD
 autolearn=disabled version=3.3.2
Received: from fencepost.gnu.org ([2001:4830:134:3::e]:44403)
 by eggs.gnu.org with esmtp (Exim 4.71) (envelope-from <eliz@HIDDEN>)
 id 1e0kFs-0001We-S3; Sat, 07 Oct 2017 04:14:40 -0400
Received: from 84.94.185.246.cable.012.net.il ([84.94.185.246]:2259
 helo=home-c4e4a596f7)
 by fencepost.gnu.org with esmtpsa (TLS1.2:RSA_AES_256_CBC_SHA1:256)
 (Exim 4.82) (envelope-from <eliz@HIDDEN>)
 id 1e0kFs-0007aD-C2; Sat, 07 Oct 2017 04:14:40 -0400
Date: Sat, 07 Oct 2017 11:14:33 +0300
Message-Id: <83376vv0gm.fsf@HIDDEN>
From: Eli Zaretskii <eliz@HIDDEN>
To: Dmitry Gutov <dgutov@HIDDEN>
In-reply-to: <0e4817c9-f3f3-875d-2c81-97821c839a29@HIDDEN> (message from
 Dmitry Gutov on Sat, 7 Oct 2017 10:53:38 +0300)
Subject: Re: bug#28695: 26.0.60; Rendering lag spikes caused by
 double-buffering on Linux
References: <8760bvd2w7.fsf@HIDDEN> <59D4A431.7010801@HIDDEN>
 <831smjz2b2.fsf@HIDDEN> <874lrfcg4s.fsf@HIDDEN>
 <1931afeb-51cb-89c9-72ff-c8a062fecba7@HIDDEN>
 <CAM-tV-_TL-WNPpfn0_iTEa_KhAjfzOSxZbNY1icChAeZQbkUaA@HIDDEN>
 <0e4817c9-f3f3-875d-2c81-97821c839a29@HIDDEN>
X-detected-operating-system: by eggs.gnu.org: GNU/Linux 2.2.x-3.x [generic]
X-Received-From: 2001:4830:134:3::e
X-Spam-Score: -5.0 (-----)
X-Debbugs-Envelope-To: 28695
Cc: 28695 <at> debbugs.gnu.org, bryan@HIDDEN, npostavs@HIDDEN
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Reply-To: Eli Zaretskii <eliz@HIDDEN>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -5.0 (-----)

> Cc: Bryan Gilbert <bryan@HIDDEN>, Eli Zaretskii <eliz@HIDDEN>,
>  28695 <at> debbugs.gnu.org
> From: Dmitry Gutov <dgutov@HIDDEN>
> Date: Sat, 7 Oct 2017 10:53:38 +0300
> 
> On 10/5/17 5:02 PM, Noam Postavsky wrote:
> 
> > Try 'rm aclocal.m4' (this is mentioned in INSTALL.REPO as of last May)
> 
> Thanks. Now I can confirm that when using the revision before 
> double-buffering was added, glxgears indeed do not stutter at all 
> (unlike the current emacs-26).

Can some of you use a tool like perf to see whether the time taken by
XdbeSwapBuffers (called from xterm.c:show_back_buffer) indeed grows
significantly when going from the 2K class of resolutions to the 4K
class?  And if it isn't XdbeSwapBuffers, then what takes most of the
time which causes that "stutter"?

More generally, for some display operation to be perceptible as
"stutter", IME we should see that operation taking times around 50 to
100 msec.  Can we establish what part of frame/window update takes the
lion's share of that time when XDBE is used?  With that information in
hand, we may find some way forward with this issue.

Thanks.




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#28695; Package emacs. Full text available.

Message received at 28695 <at> debbugs.gnu.org:


Received: (at 28695) by debbugs.gnu.org; 7 Oct 2017 07:53:50 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sat Oct 07 03:53:50 2017
Received: from localhost ([127.0.0.1]:53714 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1e0jvi-0006bg-5T
	for submit <at> debbugs.gnu.org; Sat, 07 Oct 2017 03:53:50 -0400
Received: from mail-wm0-f50.google.com ([74.125.82.50]:57230)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <raaahh@HIDDEN>) id 1e0jvg-0006bU-NM
 for 28695 <at> debbugs.gnu.org; Sat, 07 Oct 2017 03:53:49 -0400
Received: by mail-wm0-f50.google.com with SMTP id l68so12084522wmd.5
 for <28695 <at> debbugs.gnu.org>; Sat, 07 Oct 2017 00:53:48 -0700 (PDT)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=gmail.com; s=20161025;
 h=sender:subject:to:cc:references:from:message-id:date:user-agent
 :mime-version:in-reply-to:content-language:content-transfer-encoding;
 bh=14AKDFJqqa81U42orhWAeCbIaAqi6uAa+1fU2ZYepBA=;
 b=I+3FIhAs48e6NyLqqZdUU6K5OqeqscF68+nKK5AFkw6k1mHqry+nR1A8TzfC9IUaOd
 ybwLfRrGLVk6ecpfZogArLK2elWE2KiSre13pWxNLcwGBuRixI1fkJd5Ptf05RZmLxBo
 1GguiQQcZbJ6juTIdUy72DJw/EVriPZieFMZPrC82Z2OrfJ+s8IT+2RqnUZCFOqqWrPy
 QO/xZhla02clTNaBNXgWuoI8pjfsPvaEIbks9cfjpJZQA2bFmRwXQjoaMyJ2n2MK3zgy
 oGkLK09PZfOaAo2b1/YppjoCiX22mxEdWhWfaE5kCKMxn/hbuTfCYxclgGiurTs0qNOt
 fEkQ==
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20161025;
 h=x-gm-message-state:sender:subject:to:cc:references:from:message-id
 :date:user-agent:mime-version:in-reply-to:content-language
 :content-transfer-encoding;
 bh=14AKDFJqqa81U42orhWAeCbIaAqi6uAa+1fU2ZYepBA=;
 b=WktfJmY88G7gSEVEDPwfl2JTmODS7Ez0puWzsE2S+H23apjCGL3d6qUxDmb9Ep/8da
 00cASFHr76Z1apOdtW4e0jbEYIN4sMBT2X3uQG9zZmleuORAi0ReYun1MGG/C4SEn3f0
 n7EyFdjv9wCBxSzZcZ41+ClLaM/gBSTzWnWIsDXj+SmmuGoToGoH+POnLOWNarmmJxp9
 0ur3UgxBgmvTOpkd9+FLjq8K/mMkCOPJq1GFHvURmq97OlEb/yfO+kZsyeg2jihtykZS
 nFw2TScjXeNh2SPdBnj9OIa5DrOXA0c92SpG5ftY8b4jnzSF5Rb1Xysq4m5Ks9I3NVQ1
 VAag==
X-Gm-Message-State: AMCzsaUPA2/jgxpzQgve5++PrEjwbUZnY6vYd2aOSF2nEcqGEMn/FriH
 JWUhixBv6GunZjCNoYtWaShjkwAI
X-Google-Smtp-Source: AOwi7QCW2O34T43OU98rINgqB6fGee8+NYDAl4N2OtFg+zzwMZCYg9ijj/z5vMxEXyp2YLhYxprOKQ==
X-Received: by 10.80.158.142 with SMTP id a14mr6240925edf.90.1507362822584;
 Sat, 07 Oct 2017 00:53:42 -0700 (PDT)
Received: from [192.168.1.3] ([185.105.174.193])
 by smtp.googlemail.com with ESMTPSA id h51sm1432058eda.56.2017.10.07.00.53.40
 (version=TLS1_2 cipher=ECDHE-RSA-AES128-GCM-SHA256 bits=128/128);
 Sat, 07 Oct 2017 00:53:41 -0700 (PDT)
Subject: Re: bug#28695: 26.0.60; Rendering lag spikes caused by
 double-buffering on Linux
To: Noam Postavsky <npostavs@HIDDEN>
References: <8760bvd2w7.fsf@HIDDEN> <59D4A431.7010801@HIDDEN>
 <831smjz2b2.fsf@HIDDEN> <874lrfcg4s.fsf@HIDDEN>
 <1931afeb-51cb-89c9-72ff-c8a062fecba7@HIDDEN>
 <CAM-tV-_TL-WNPpfn0_iTEa_KhAjfzOSxZbNY1icChAeZQbkUaA@HIDDEN>
From: Dmitry Gutov <dgutov@HIDDEN>
Message-ID: <0e4817c9-f3f3-875d-2c81-97821c839a29@HIDDEN>
Date: Sat, 7 Oct 2017 10:53:38 +0300
User-Agent: Mozilla/5.0 (X11; Linux x86_64; rv:56.0) Gecko/20100101
 Thunderbird/56.0
MIME-Version: 1.0
In-Reply-To: <CAM-tV-_TL-WNPpfn0_iTEa_KhAjfzOSxZbNY1icChAeZQbkUaA@HIDDEN>
Content-Type: text/plain; charset=utf-8; format=flowed
Content-Language: en-US
Content-Transfer-Encoding: 7bit
X-Spam-Score: 0.7 (/)
X-Debbugs-Envelope-To: 28695
Cc: Eli Zaretskii <eliz@HIDDEN>, Bryan Gilbert <bryan@HIDDEN>,
 28695 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: 0.7 (/)

On 10/5/17 5:02 PM, Noam Postavsky wrote:

> Try 'rm aclocal.m4' (this is mentioned in INSTALL.REPO as of last May)

Thanks. Now I can confirm that when using the revision before 
double-buffering was added, glxgears indeed do not stutter at all 
(unlike the current emacs-26).




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#28695; Package emacs. Full text available.

Message received at 28695 <at> debbugs.gnu.org:


Received: (at 28695) by debbugs.gnu.org; 5 Oct 2017 14:26:25 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Thu Oct 05 10:26:25 2017
Received: from localhost ([127.0.0.1]:51664 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1e076W-0001Xb-U6
	for submit <at> debbugs.gnu.org; Thu, 05 Oct 2017 10:26:25 -0400
Received: from out1-smtp.messagingengine.com ([66.111.4.25]:44481)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <bryan@HIDDEN>) id 1e076V-0001XU-I6
 for 28695 <at> debbugs.gnu.org; Thu, 05 Oct 2017 10:26:24 -0400
Received: from compute6.internal (compute6.nyi.internal [10.202.2.46])
 by mailout.nyi.internal (Postfix) with ESMTP id E296F20F30;
 Thu,  5 Oct 2017 10:26:22 -0400 (EDT)
Received: from frontend2 ([10.202.2.161])
 by compute6.internal (MEProxy); Thu, 05 Oct 2017 10:26:22 -0400
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=bryan.sh; h=cc
 :content-type:date:from:in-reply-to:message-id:mime-version
 :references:subject:to:x-me-sender:x-me-sender:x-sasl-enc
 :x-sasl-enc; s=fm1; bh=TjsjxVT94W2gb4kHqgxW8rwSw7PhdfbZxeYDSfoJR
 K8=; b=Wqyq9u2ChrDMtsRmj8qUq6Ej0Glgsfnr5lBN2Mcer0s1FAi9HCXAxPjb7
 Rx1e39MIPc9mzRoShZ8RwdRx5vnxRR2R+ts/Hz+P7BUfhGpi8FCGrO3p6zA4Du84
 dDnjlTiYfyOalv8UD7j41DoOVVOlvX8V6rU8pqXlhVjUNOK1hM670glBkMCicI1P
 JGdDvAWUFpzNFDVxcP23Zy44xS/M/B4lWirAq975D2O36/XE8oFQOEyTgaMMmFbY
 A2sOKPRzrBRWdZrPd/ZmNKI29DXzV4kL2+3z6IhHE2rzO9F/nnJFSXFGiHGAjN2c
 VdQP441x+SfxamT6CC5IfetqCmHPw==
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=
 messagingengine.com; h=cc:content-type:date:from:in-reply-to
 :message-id:mime-version:references:subject:to:x-me-sender
 :x-me-sender:x-sasl-enc:x-sasl-enc; s=fm1; bh=TjsjxVT94W2gb4kHqg
 xW8rwSw7PhdfbZxeYDSfoJRK8=; b=ci1rFDmXBWf9sXzbADx0CVIqoLr/2DJyzd
 2cwQfmRf2fy4ZtpkJM0Pd6aMwK9GW7pVPbRtMH0lRnZMmue4hEtMstHsA8e98/id
 TKO7z4w109JrIfutgNNtoO4QOc3A40gOZyV7DW0ErFRbjrC8cyaz2FH5QnW72NPh
 jzh3ogV5dxVlogw6SJDf2wvHmgI+Bvt3QUEUypeCISlGi+CKNH9sDTUlf/u7MuA5
 WU4I9bC26J4+NML0w2pHXUcfn3gX6S8NfaN+hJvk5llY+OBKcIIUeDMVHURw3vcn
 1BjT9Yfm9/sxu+QQu6FS8GtiOlBMhsrszYyBq2u4JzpD7qvJnmYg==
X-ME-Sender: <xms:DkHWWa3keA2LQKRhOObo_w-sPV2Rch8O6Hjd8nua7S04CXQWYaB5Lw>
X-Sasl-enc: JYiQ007yuiHq5Ov5+OeecV6O0KzTfawt0f81fB5sZNtR 1507213582
Received: from borealis (23-116-242-116.lightspeed.chtnsc.sbcglobal.net
 [23.116.242.116])
 by mail.messagingengine.com (Postfix) with ESMTPA id 70C7C24A6C;
 Thu,  5 Oct 2017 10:26:22 -0400 (EDT)
References: <8760bvd2w7.fsf@HIDDEN> <59D4A431.7010801@HIDDEN>
 <831smjz2b2.fsf@HIDDEN> <874lrfcg4s.fsf@HIDDEN>
 <1931afeb-51cb-89c9-72ff-c8a062fecba7@HIDDEN>
User-agent: mu4e 0.9.18; emacs 26.0.60
From: Bryan Gilbert <bryan@HIDDEN>
To: Dmitry Gutov <dgutov@HIDDEN>
Subject: Re: bug#28695: 26.0.60;
 Rendering lag spikes caused by double-buffering on Linux
In-reply-to: <1931afeb-51cb-89c9-72ff-c8a062fecba7@HIDDEN>
Date: Thu, 05 Oct 2017 10:26:21 -0400
Message-ID: <87shex1xiq.fsf@HIDDEN>
MIME-Version: 1.0
Content-Type: text/plain
X-Spam-Score: -0.7 (/)
X-Debbugs-Envelope-To: 28695
Cc: Eli Zaretskii <eliz@HIDDEN>, Bryan Gilbert <bryan@HIDDEN>,
 28695 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -0.7 (/)


> Bryan, which revision/year is it? I also have an XPS 15 (with Skylake 
> CPU) with 4K resolution, and at worst, I see the minor stutters you show 
> in the 1080p video (after adding the advice, yes).

I'm using the newest model: XPS 9560 (Kaby Lake).

> Ubuntu 17.04 with Unity 7 here.

I'm running Arch Linux w/ XMonad.

> Personally, I can stand a few minor glitches, given that double 
> buffering saves me from flickering, which has been an annoyance for years.

I've never actually noticed flickering with Emacs in the ~2 years that I've
been using it, although I've seen it brought up often. One thing that is
unique about my setup compared to yours is that I have no compositor running,
and I'd assume that since you're running Unity that you most likely do. I'm
not sure if that would have any effect on this issue or the flickering though.
In either case I'll do a few tests with compton running to see if that makes
a difference.

I also have a co-worker with an identical computer running Gnome on X11, so
I'll see if I can get ahold of his computer and test this as well.




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#28695; Package emacs. Full text available.

Message received at 28695 <at> debbugs.gnu.org:


Received: (at 28695) by debbugs.gnu.org; 5 Oct 2017 14:02:37 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Thu Oct 05 10:02:37 2017
Received: from localhost ([127.0.0.1]:51649 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1e06jT-0000uB-1F
	for submit <at> debbugs.gnu.org; Thu, 05 Oct 2017 10:02:35 -0400
Received: from mail-wr0-f179.google.com ([209.85.128.179]:45681)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <npostavs@HIDDEN>) id 1e06jL-0000tn-SE
 for 28695 <at> debbugs.gnu.org; Thu, 05 Oct 2017 10:02:28 -0400
Received: by mail-wr0-f179.google.com with SMTP id m18so10939436wrm.2
 for <28695 <at> debbugs.gnu.org>; Thu, 05 Oct 2017 07:02:27 -0700 (PDT)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=gmail.com; s=20161025;
 h=mime-version:sender:in-reply-to:references:from:date:message-id
 :subject:to:cc;
 bh=H1AQBOmIfE9WHcaxXck6IoSwv6HGr3BFcR7lA+rN8MU=;
 b=BX1XDal4RZtBcxIQLv9TMxyIgx/c30R2w1ZST3JQZn8AzgN2jo1aHh84PKC5Rg1JL7
 /rSX8cmHu0XPmeWLBLYxNsGoZyoy05OTTujDPYgce8gHP9nsP3JAT/EarZetDy6BzOHG
 uFFDsmRYxpYQspKu0Y7OJSfNwyy8hW00Y+1C+MvVa2fzGywHOnzPRLWibnNrjGVm2qh1
 jHy/1QxoWVnkEEoUqns/Mqap6H/KS6v8dw9up16QuQ+UNIu8b/0XCo5NdPdQ4XgOkxxH
 4q05aiQcedp3FJTMLi+PM21C5FVXPDnOEZvAf65zqXvR5xprTrg32nrxi4PKv2xiAyzJ
 jwHA==
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20161025;
 h=x-gm-message-state:mime-version:sender:in-reply-to:references:from
 :date:message-id:subject:to:cc;
 bh=H1AQBOmIfE9WHcaxXck6IoSwv6HGr3BFcR7lA+rN8MU=;
 b=SvItB2KOPGpdkl59HMRA1SZ6VSuw/Qq89RW4mD88g2z8ZlKVZw/ovLyEbtwxzZVRjR
 QLctrUd1dq1N1siCaB4saCRikeknvD8HPc3gjfGAG+XGS/idEWdi6P0L4tVkjyes1i4D
 /hgEbhWfv3fY+AnYezN1uWgPxg2wyElMpGhxBO51lt1Q8TQMbDKecO6mS/7ebQDMB16c
 Wk83KRIXpXg50yIupLzHQpCwC9o8VPBC4jeyq+qtLmGs9f1ZvP9Pq6hV/5h32stQ2+fE
 eTyfoC5pEIhtknnR3bkMvD8ylod3Iz8FRngtqslz7193aSpAfjzPOkzrw5+2wtthbG7V
 ChDA==
X-Gm-Message-State: AMCzsaWpCXiSh/6qdu1Ywt+YnDEOek6ON4Za34g/NFAFJVgDPNaDyfBi
 mXDAx8am9zYE/pmCdMh4lELOgBgMAYXC9+6WbQ8=
X-Google-Smtp-Source: AOwi7QBT9F9/FaH/gtOSItFzStD9Td1DbDe9r8kHPbB5d1VDoCJBzzDdQ7RDWxOxGoAYcnOqMxcMNbKCCZPyAxt8YDE=
X-Received: by 10.223.157.45 with SMTP id k45mr4463999wre.94.1507212142144;
 Thu, 05 Oct 2017 07:02:22 -0700 (PDT)
MIME-Version: 1.0
Received: by 10.223.146.161 with HTTP; Thu, 5 Oct 2017 07:02:21 -0700 (PDT)
In-Reply-To: <1931afeb-51cb-89c9-72ff-c8a062fecba7@HIDDEN>
References: <8760bvd2w7.fsf@HIDDEN> <59D4A431.7010801@HIDDEN>
 <831smjz2b2.fsf@HIDDEN> <874lrfcg4s.fsf@HIDDEN>
 <1931afeb-51cb-89c9-72ff-c8a062fecba7@HIDDEN>
From: Noam Postavsky <npostavs@HIDDEN>
Date: Thu, 5 Oct 2017 10:02:21 -0400
X-Google-Sender-Auth: XyupJcHaDpPLR9YGNQie6ev-oXs
Message-ID: <CAM-tV-_TL-WNPpfn0_iTEa_KhAjfzOSxZbNY1icChAeZQbkUaA@HIDDEN>
Subject: Re: bug#28695: 26.0.60; Rendering lag spikes caused by
 double-buffering on Linux
To: Dmitry Gutov <dgutov@HIDDEN>
Content-Type: text/plain; charset="UTF-8"
X-Spam-Score: -0.9 (/)
X-Debbugs-Envelope-To: 28695
Cc: Eli Zaretskii <eliz@HIDDEN>, Bryan Gilbert <bryan@HIDDEN>,
 28695 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -0.9 (/)

On Thu, Oct 5, 2017 at 9:36 AM, Dmitry Gutov <dgutov@HIDDEN> wrote:

> I wasn't able to compare with the revision before double buffering, though:
> after checking out c29071587c64efb30792bd72248d3c791abd9337^, ./autogen.sh
> says:

> Running 'autoreconf -fi -I m4' ...
> /usr/bin/m4:aclocal.m4:9: cannot open `m4/count-leading-zeros.m4': No such
> file or directory

Try 'rm aclocal.m4' (this is mentioned in INSTALL.REPO as of last May)




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#28695; Package emacs. Full text available.

Message received at 28695 <at> debbugs.gnu.org:


Received: (at 28695) by debbugs.gnu.org; 5 Oct 2017 14:01:48 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Thu Oct 05 10:01:47 2017
Received: from localhost ([127.0.0.1]:51645 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1e06ih-0000sS-Kd
	for submit <at> debbugs.gnu.org; Thu, 05 Oct 2017 10:01:47 -0400
Received: from eggs.gnu.org ([208.118.235.92]:37478)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <eliz@HIDDEN>) id 1e06if-0000sG-U6
 for 28695 <at> debbugs.gnu.org; Thu, 05 Oct 2017 10:01:46 -0400
Received: from Debian-exim by eggs.gnu.org with spam-scanned (Exim 4.71)
 (envelope-from <eliz@HIDDEN>) id 1e06iW-0002L8-Lj
 for 28695 <at> debbugs.gnu.org; Thu, 05 Oct 2017 10:01:40 -0400
X-Spam-Checker-Version: SpamAssassin 3.3.2 (2011-06-06) on eggs.gnu.org
X-Spam-Level: **
X-Spam-Status: No, score=2.5 required=5.0 tests=BAYES_50,RP_MATCHES_RCVD,
 URIBL_BLACK autolearn=disabled version=3.3.2
Received: from fencepost.gnu.org ([2001:4830:134:3::e]:50065)
 by eggs.gnu.org with esmtp (Exim 4.71) (envelope-from <eliz@HIDDEN>)
 id 1e06iW-0002Ky-IF; Thu, 05 Oct 2017 10:01:36 -0400
Received: from 84.94.185.246.cable.012.net.il ([84.94.185.246]:3278
 helo=home-c4e4a596f7)
 by fencepost.gnu.org with esmtpsa (TLS1.2:RSA_AES_256_CBC_SHA1:256)
 (Exim 4.82) (envelope-from <eliz@HIDDEN>)
 id 1e06iV-0003no-Rl; Thu, 05 Oct 2017 10:01:36 -0400
Date: Thu, 05 Oct 2017 17:01:25 +0300
Message-Id: <83mv55wv62.fsf@HIDDEN>
From: Eli Zaretskii <eliz@HIDDEN>
To: Dmitry Gutov <dgutov@HIDDEN>
In-reply-to: <1931afeb-51cb-89c9-72ff-c8a062fecba7@HIDDEN> (message from
 Dmitry Gutov on Thu, 5 Oct 2017 16:36:53 +0300)
Subject: Re: bug#28695: 26.0.60; Rendering lag spikes caused by
 double-buffering on Linux
References: <8760bvd2w7.fsf@HIDDEN> <59D4A431.7010801@HIDDEN>
 <831smjz2b2.fsf@HIDDEN> <874lrfcg4s.fsf@HIDDEN>
 <1931afeb-51cb-89c9-72ff-c8a062fecba7@HIDDEN>
X-detected-operating-system: by eggs.gnu.org: GNU/Linux 2.2.x-3.x [generic]
X-Received-From: 2001:4830:134:3::e
X-Spam-Score: -3.3 (---)
X-Debbugs-Envelope-To: 28695
Cc: bryan@HIDDEN, 28695 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Reply-To: Eli Zaretskii <eliz@HIDDEN>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -3.3 (---)

> Cc: 28695 <at> debbugs.gnu.org
> From: Dmitry Gutov <dgutov@HIDDEN>
> Date: Thu, 5 Oct 2017 16:36:53 +0300
> 
> Eli, perhaps it would be wise to ask the reporter if he'd like it to be 
> turned off by default, if this problem can't be fixed in time.

I kinda did, by proposing the recipe to turn it off, and waiting for a
response ;-)

> Personally, I can stand a few minor glitches, given that double 
> buffering saves me from flickering, which has been an annoyance for years.

I know that you are very happy with this feature, which is why it
puzzles me how come you (and others who like it) don't see these
problems.

> I wasn't able to compare with the revision before double buffering, 
> though: after checking out c29071587c64efb30792bd72248d3c791abd9337^, 
> ./autogen.sh says:

It should be easier to use a previous release of Emacs, if you have it
or can install it.

Btw, the hardships of building an old enough checkout are the reason
why I keep old binaries around, and insist on not doing a bootstrap
(which nukes them).  I find this a much easier way of "bisecting", or
at least of having a good start point for looking for a change that
causes some bug.




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#28695; Package emacs. Full text available.

Message received at 28695 <at> debbugs.gnu.org:


Received: (at 28695) by debbugs.gnu.org; 5 Oct 2017 13:37:08 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Thu Oct 05 09:37:08 2017
Received: from localhost ([127.0.0.1]:49903 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1e06Kq-0008E5-5t
	for submit <at> debbugs.gnu.org; Thu, 05 Oct 2017 09:37:08 -0400
Received: from mail-lf0-f41.google.com ([209.85.215.41]:52336)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <raaahh@HIDDEN>) id 1e06Ko-0008Da-23
 for 28695 <at> debbugs.gnu.org; Thu, 05 Oct 2017 09:37:06 -0400
Received: by mail-lf0-f41.google.com with SMTP id b127so16978190lfe.9
 for <28695 <at> debbugs.gnu.org>; Thu, 05 Oct 2017 06:37:05 -0700 (PDT)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=gmail.com; s=20161025;
 h=sender:subject:to:cc:references:from:message-id:date:user-agent
 :mime-version:in-reply-to:content-language:content-transfer-encoding;
 bh=w5bdYNCJ/hqS+vDKudnYKpmk9RtgGd5BugjxILQ1N5Y=;
 b=h2EN0Wx+4zJ2ZIJuiIuU+SG0CxNZlXvUbKlEKsrPHAybNqDqHUeb9L8WqIJx4/nM9a
 XwUtN+15XII7Mkn2q4aHF9PtEY5zuAs++XUZZbqN6w7BLpgCzm+wrZKN/JPu/6DdHrx4
 y7fLrDoH+sQiGu2vMaSBUxEwVMDsVVMhh3OMyoCMApI/h9jBt5X05ivKnszAof3g/UBO
 O5X++zurHQvcmwQWRIVSqNpprnNobBP8jgnbfV4IYoEZilKArnmbq4CsdnMCfjP/hIxA
 hUtq+DW3Z1H5JplVZX2TVDCuVfXV44m6PRuXZ1+U6o+hJtkNgiE7rBd+xGv7OMCysk9y
 mUaw==
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20161025;
 h=x-gm-message-state:sender:subject:to:cc:references:from:message-id
 :date:user-agent:mime-version:in-reply-to:content-language
 :content-transfer-encoding;
 bh=w5bdYNCJ/hqS+vDKudnYKpmk9RtgGd5BugjxILQ1N5Y=;
 b=FHAyxsc0tlrx4tbQCTIbs5J6fnJ7dYrISMf4Xfu6/DuqP/cyoysQ226iE2NipkDONn
 hHeP0hFd/fOTGsiFTxMXaQIsXFbvteOd7FMAnijcc6IRmLSbIVdFqiQI8aerykUoMx4H
 wyEduMz34EUZ+67/OecknjTgTIRaUoD5ZxuRdhavEjtKRXE10SYS6S3Wz0n8MM89/2vs
 cldp/FH2cNyhWlQ6sGW/W9+QJ/qCLds0YDSqXKR0b1a2REBz28smckXgCdKubB2LPGkU
 8c8g3rhV0dlKp5oTwSZ9WDgC/X/OqAbrzVFE7YQotJLKgLAnAed9SUPcZcHCqq/4qS9v
 HGfQ==
X-Gm-Message-State: AMCzsaV+OPxeGD82r3RslNrSyDly6HcVKHg0cOopmXX7gMujWAD3/Rf5
 V9fpYITXNPPkyRnNBCR7G0ML3Fub
X-Google-Smtp-Source: AOwi7QAP3YxPgGK5w7QULxPyodWPPBy+HGoMcfrrpJhIApj0SvmdPm/XJfiviZQLP5zuzaeoHQaxvQ==
X-Received: by 10.25.145.12 with SMTP id t12mr6825437lfd.119.1507210619668;
 Thu, 05 Oct 2017 06:36:59 -0700 (PDT)
Received: from [192.168.0.133] (static-nbl2-118.cytanet.com.cy.
 [212.31.107.118])
 by smtp.googlemail.com with ESMTPSA id l24sm3971594ljb.41.2017.10.05.06.36.55
 (version=TLS1_2 cipher=ECDHE-RSA-AES128-GCM-SHA256 bits=128/128);
 Thu, 05 Oct 2017 06:36:56 -0700 (PDT)
Subject: Re: bug#28695: 26.0.60; Rendering lag spikes caused by
 double-buffering on Linux
To: Bryan Gilbert <bryan@HIDDEN>, Eli Zaretskii <eliz@HIDDEN>
References: <8760bvd2w7.fsf@HIDDEN> <59D4A431.7010801@HIDDEN>
 <831smjz2b2.fsf@HIDDEN> <874lrfcg4s.fsf@HIDDEN>
From: Dmitry Gutov <dgutov@HIDDEN>
Message-ID: <1931afeb-51cb-89c9-72ff-c8a062fecba7@HIDDEN>
Date: Thu, 5 Oct 2017 16:36:53 +0300
User-Agent: Mozilla/5.0 (X11; Linux x86_64; rv:56.0) Gecko/20100101
 Thunderbird/56.0
MIME-Version: 1.0
In-Reply-To: <874lrfcg4s.fsf@HIDDEN>
Content-Type: text/plain; charset=utf-8; format=flowed
Content-Language: en-US
Content-Transfer-Encoding: 7bit
X-Spam-Score: 2.4 (++)
X-Spam-Report: Spam detection software, running on the system "debbugs.gnu.org",
 has NOT identified this incoming email as spam.  The original
 message has been attached to this so you can view it or label
 similar future email.  If you have any questions, see
 the administrator of that system for details.
 Content preview:  On 10/4/17 2:21 PM, Bryan Gilbert wrote: >> Isn't it strange
 that only some people see these problems, while >> others (the majority?)
 are very happy with double-buffering? Could it >> be that the problems are
 triggered by some specific system >> configurations or Emacs build-time
 features?
 If so, we could perhaps >> turn it off only for those configurations, because
 people who are >> happy with this are extremely happy, and will probably
 be disappointed >> if we just turn it off globally. [...] 
 Content analysis details:   (2.4 points, 10.0 required)
 pts rule name              description
 ---- ---------------------- --------------------------------------------------
 1.7 URIBL_BLACK            Contains an URL listed in the URIBL blacklist
 [URIs: autogen.sh]
 -0.0 RCVD_IN_DNSWL_NONE     RBL: Sender listed at http://www.dnswl.org/, no
 trust [209.85.215.41 listed in list.dnswl.org]
 0.5 RCVD_IN_SORBS_SPAM     RBL: SORBS: sender is a spam source
 [209.85.215.41 listed in dnsbl.sorbs.net]
 0.0 HEADER_FROM_DIFFERENT_DOMAINS From and EnvelopeFrom 2nd level mail
 domains are different
 -0.0 SPF_PASS               SPF: sender matches SPF record
 0.0 FREEMAIL_FROM Sender email is commonly abused enduser mail provider
 (dgutov[at]yandex.ru)
 -0.0 RCVD_IN_MSPIKE_H3      RBL: Good reputation (+3)
 [209.85.215.41 listed in wl.mailspike.net]
 0.0 T_DKIM_INVALID         DKIM-Signature header exists but is not valid
 0.2 FREEMAIL_FORGED_FROMDOMAIN 2nd level domains in From and EnvelopeFrom
 freemail headers are different
 -0.0 RCVD_IN_MSPIKE_WL      Mailspike good senders
X-Debbugs-Envelope-To: 28695
Cc: 28695 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: 2.4 (++)
X-Spam-Report: Spam detection software, running on the system "debbugs.gnu.org",
 has NOT identified this incoming email as spam.  The original
 message has been attached to this so you can view it or label
 similar future email.  If you have any questions, see
 the administrator of that system for details.
 
 Content preview:  On 10/4/17 2:21 PM, Bryan Gilbert wrote: >> Isn't it strange
    that only some people see these problems, while >> others (the majority?)
    are very happy with double-buffering? Could it >> be that the problems are
    triggered by some specific system >> configurations or Emacs build-time features?
    If so, we could perhaps >> turn it off only for those configurations, because
    people who are >> happy with this are extremely happy, and will probably
   be disappointed >> if we just turn it off globally. [...] 
 
 Content analysis details:   (2.4 points, 10.0 required)
 
  pts rule name              description
 ---- ---------------------- --------------------------------------------------
  1.7 URIBL_BLACK            Contains an URL listed in the URIBL blacklist
                             [URIs: autogen.sh]
  0.5 RCVD_IN_SORBS_SPAM     RBL: SORBS: sender is a spam source
                             [209.85.215.41 listed in dnsbl.sorbs.net]
 -0.0 RCVD_IN_MSPIKE_H3      RBL: Good reputation (+3)
                             [209.85.215.41 listed in wl.mailspike.net]
 -0.0 RCVD_IN_DNSWL_NONE     RBL: Sender listed at http://www.dnswl.org/, no
                             trust
                             [209.85.215.41 listed in list.dnswl.org]
  0.0 HEADER_FROM_DIFFERENT_DOMAINS From and EnvelopeFrom 2nd level mail
                             domains are different
 -0.0 SPF_PASS               SPF: sender matches SPF record
  0.0 FREEMAIL_FROM          Sender email is commonly abused enduser mail provider
                             (dgutov[at]yandex.ru)
  0.0 T_DKIM_INVALID         DKIM-Signature header exists but is not valid
  0.2 FREEMAIL_FORGED_FROMDOMAIN 2nd level domains in From and EnvelopeFrom
                              freemail headers are different
 -0.0 RCVD_IN_MSPIKE_WL      Mailspike good senders

On 10/4/17 2:21 PM, Bryan Gilbert wrote:

>> Isn't it strange that only some people see these problems, while
>> others (the majority?) are very happy with double-buffering?  Could it
>> be that the problems are triggered by some specific system
>> configurations or Emacs build-time features?  If so, we could perhaps
>> turn it off only for those configurations, because people who are
>> happy with this are extremely happy, and will probably be disappointed
>> if we just turn it off globally.

Eli, perhaps it would be wise to ask the reporter if he'd like it to be 
turned off by default, if this problem can't be fixed in time.

Personally, I can stand a few minor glitches, given that double 
buffering saves me from flickering, which has been an annoyance for years.

> I'm currently using a Dell XPS 15 laptop with a 4K display and running
> at a resolution of 3840x2160.

Bryan, which revision/year is it? I also have an XPS 15 (with Skylake 
CPU) with 4K resolution, and at worst, I see the minor stutters you show 
in the 1080p video (after adding the advice, yes).

Ubuntu 17.04 with Unity 7 here.

I wasn't able to compare with the revision before double buffering, 
though: after checking out c29071587c64efb30792bd72248d3c791abd9337^, 
./autogen.sh says:

Checking whether you have the necessary tools...
(Read INSTALL.REPO for more details on building Emacs)
Checking for autoconf (need at least version 2.65)...
ok
Checking for automake (need at least version 1.11)...
ok
Your system has the required tools.
Running 'autoreconf -fi -I m4' ...
/usr/bin/m4:aclocal.m4:9: cannot open `m4/count-leading-zeros.m4': No 
such file or directory
/usr/bin/m4:aclocal.m4:12: cannot open `m4/d-type.m4': No such file or 
directory
/usr/bin/m4:aclocal.m4:20: cannot open `m4/explicit_bzero.m4': No such 
file or directory
/usr/bin/m4:aclocal.m4:46: cannot open `m4/localtime-buffer.m4': No such 
file or directory
/usr/bin/m4:aclocal.m4:52: cannot open `m4/minmax.m4': No such file or 
directory
/usr/bin/m4:aclocal.m4:55: cannot open `m4/mode_t.m4': No such file or 
directory
/usr/bin/m4:aclocal.m4:58: cannot open `m4/nstrftime.m4': No such file 
or directory
/usr/bin/m4:aclocal.m4:60: cannot open `m4/open-cloexec.m4': No such 
file or directory
/usr/bin/m4:aclocal.m4:61: cannot open `m4/open.m4': No such file or 
directory
/usr/bin/m4:aclocal.m4:103: cannot open `m4/unlocked-io.m4': No such 
file or directory
autom4te: /usr/bin/m4 failed with exit status: 1
/usr/bin/m4:aclocal.m4:9: cannot open `m4/count-leading-zeros.m4': No 
such file or directory
/usr/bin/m4:aclocal.m4:12: cannot open `m4/d-type.m4': No such file or 
directory
/usr/bin/m4:aclocal.m4:20: cannot open `m4/explicit_bzero.m4': No such 
file or directory
/usr/bin/m4:aclocal.m4:46: cannot open `m4/localtime-buffer.m4': No such 
file or directory
/usr/bin/m4:aclocal.m4:52: cannot open `m4/minmax.m4': No such file or 
directory
/usr/bin/m4:aclocal.m4:55: cannot open `m4/mode_t.m4': No such file or 
directory
/usr/bin/m4:aclocal.m4:58: cannot open `m4/nstrftime.m4': No such file 
or directory
/usr/bin/m4:aclocal.m4:60: cannot open `m4/open-cloexec.m4': No such 
file or directory
/usr/bin/m4:aclocal.m4:61: cannot open `m4/open.m4': No such file or 
directory
/usr/bin/m4:aclocal.m4:103: cannot open `m4/unlocked-io.m4': No such 
file or directory
autom4te: /usr/bin/m4 failed with exit status: 1
autoreconf: /usr/bin/autoconf failed with exit status: 1




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#28695; Package emacs. Full text available.

Message received at 28695 <at> debbugs.gnu.org:


Received: (at 28695) by debbugs.gnu.org; 4 Oct 2017 12:32:18 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Wed Oct 04 08:32:18 2017
Received: from localhost ([127.0.0.1]:47713 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1dziqW-00058U-HU
	for submit <at> debbugs.gnu.org; Wed, 04 Oct 2017 08:32:16 -0400
Received: from eggs.gnu.org ([208.118.235.92]:40184)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <eliz@HIDDEN>) id 1dziqU-00058F-Al
 for 28695 <at> debbugs.gnu.org; Wed, 04 Oct 2017 08:32:14 -0400
Received: from Debian-exim by eggs.gnu.org with spam-scanned (Exim 4.71)
 (envelope-from <eliz@HIDDEN>) id 1dziqK-00046V-Qq
 for 28695 <at> debbugs.gnu.org; Wed, 04 Oct 2017 08:32:09 -0400
X-Spam-Checker-Version: SpamAssassin 3.3.2 (2011-06-06) on eggs.gnu.org
X-Spam-Level: 
X-Spam-Status: No, score=0.8 required=5.0 tests=BAYES_50,RP_MATCHES_RCVD
 autolearn=disabled version=3.3.2
Received: from fencepost.gnu.org ([2001:4830:134:3::e]:55345)
 by eggs.gnu.org with esmtp (Exim 4.71) (envelope-from <eliz@HIDDEN>)
 id 1dziqK-00046L-Nh; Wed, 04 Oct 2017 08:32:04 -0400
Received: from 84.94.185.246.cable.012.net.il ([84.94.185.246]:1684
 helo=home-c4e4a596f7)
 by fencepost.gnu.org with esmtpsa (TLS1.2:RSA_AES_256_CBC_SHA1:256)
 (Exim 4.82) (envelope-from <eliz@HIDDEN>)
 id 1dziqJ-0003EL-5n; Wed, 04 Oct 2017 08:32:04 -0400
Date: Wed, 04 Oct 2017 15:31:44 +0300
Message-Id: <83vajvxff3.fsf@HIDDEN>
From: Eli Zaretskii <eliz@HIDDEN>
To: Bryan Gilbert <bryan@HIDDEN>
In-reply-to: <874lrfgly3.fsf@HIDDEN> (message from Bryan Gilbert on Wed, 04
 Oct 2017 08:02:44 -0400)
Subject: Re: bug#28695: 26.0.60;
 Rendering lag spikes caused by double-buffering on Linux
References: <8760bvd2w7.fsf@HIDDEN> <59D4A431.7010801@HIDDEN>
 <831smjz2b2.fsf@HIDDEN> <874lrfcg4s.fsf@HIDDEN> <83wp4bxhyy.fsf@HIDDEN>
 <874lrfgly3.fsf@HIDDEN>
X-detected-operating-system: by eggs.gnu.org: GNU/Linux 2.2.x-3.x [generic]
X-Received-From: 2001:4830:134:3::e
X-Spam-Score: -5.0 (-----)
X-Debbugs-Envelope-To: 28695
Cc: rudalics@HIDDEN, 28695 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Reply-To: Eli Zaretskii <eliz@HIDDEN>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -5.0 (-----)

> From: Bryan Gilbert <bryan@HIDDEN>
> Cc: Bryan Gilbert <bryan@HIDDEN>, rudalics@HIDDEN, 28695 <at> debbugs.gnu.org
> Date: Wed, 04 Oct 2017 08:02:44 -0400
> 
> I'll also mention that apart from this being reliably reproduced while using
> counsel-rg, I've been hard pressed to notice it in other places. For a while,
> I even thought that this may have been a bug with Ivy until I found the commit
> that introduced the slowdown. This coupled with the possibility that it's only
> visible at higher resolutions may be why many people aren't experiencing issues. 

Thanks.  Maybe we should indeed disable it by default for higher
resolutions.




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#28695; Package emacs. Full text available.

Message received at 28695 <at> debbugs.gnu.org:


Received: (at 28695) by debbugs.gnu.org; 4 Oct 2017 12:02:51 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Wed Oct 04 08:02:51 2017
Received: from localhost ([127.0.0.1]:47685 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1dziO3-0004Or-M6
	for submit <at> debbugs.gnu.org; Wed, 04 Oct 2017 08:02:51 -0400
Received: from out1-smtp.messagingengine.com ([66.111.4.25]:54079)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <bryan@HIDDEN>) id 1dziO0-0004Of-S8
 for 28695 <at> debbugs.gnu.org; Wed, 04 Oct 2017 08:02:49 -0400
Received: from compute6.internal (compute6.nyi.internal [10.202.2.46])
 by mailout.nyi.internal (Postfix) with ESMTP id 40CE120DE1;
 Wed,  4 Oct 2017 08:02:46 -0400 (EDT)
Received: from frontend1 ([10.202.2.160])
 by compute6.internal (MEProxy); Wed, 04 Oct 2017 08:02:48 -0400
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=bryan.sh; h=cc
 :content-type:date:from:in-reply-to:message-id:mime-version
 :references:subject:to:x-me-sender:x-me-sender:x-sasl-enc
 :x-sasl-enc; s=fm1; bh=jgezCYtk5GCB/7yOqzLGtyvFwoZQuG3+PRoN18KOq
 d4=; b=fJwGkkCEC9+iuuJUxlpK+zxa2/C/bpo+c4Cnuh+CKOFODYkBDlFBwSloC
 id0X8PxSgdAic543xvcnbSCc0RW5jmFqQrRMYj2zanTAxxjTau5a42+c+GQpHZkD
 lZuDLpSeOTtpmV8TWMh+LkppxYCx4gS2u2n/FV+2jgqsdL+ogc85iTR8JGN7s2nj
 Ge8aMGMRPYu9y3Hs+PiHJ/g0Ppv0HXpKUb8ZYmuFs/FsT9Qayf3jkUnyt7PbRMpJ
 VxQFnJ/5l2u54cY/rcTsEKYHq2mp7rRr0R4EEq2c84grCPcujo0TecM6x+17SL6G
 TMuJDGPAjyTW6OtYZRavweef229+g==
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=
 messagingengine.com; h=cc:content-type:date:from:in-reply-to
 :message-id:mime-version:references:subject:to:x-me-sender
 :x-me-sender:x-sasl-enc:x-sasl-enc; s=fm1; bh=jgezCYtk5GCB/7yOqz
 LGtyvFwoZQuG3+PRoN18KOqd4=; b=CpQ/ly7PAEzapmKLmlr/SIWtQLrG8B7rPf
 mwCSmDN8133dQxjvvUM5YKOUBoPscoelOwXFdD5xzw0h9K1M+6Qe3CgkbZlNnmo3
 8a3TTFAC38jTsWpXXv9InAReWuPTI3yF/uwBp92YUIYHt6z0dZ9WuQGAOMzJPtyI
 eCwBZrCoMrhoGHSESlg1F4umEU3+neeFNjiX6G5jbKApO6Y+GH3PSwJI3dx6e56V
 h3bEv9CnLBSLizpfB1lhMTBxFMSCVt/+i5EgzhSPGk62ILkfJ0XDIyHaYgFT54kY
 Ck32FQi8E15/CxZu8qi5ChQYb+osxNqasctmbiIjetHWca/mK+iw==
X-ME-Sender: <xms:5s3UWUQPPFLIUs19Cl5qo1V-XpO5NAqch5_FU265XhCE2JAZYYAGyw>
X-Sasl-enc: yswuQYRwSbb7lRScShK7ngqy2INpcolIqnmajZDwOJCu 1507118566
Received: from borealis (23-116-242-116.lightspeed.chtnsc.sbcglobal.net
 [23.116.242.116])
 by mail.messagingengine.com (Postfix) with ESMTPA id D52F77FAA1;
 Wed,  4 Oct 2017 08:02:45 -0400 (EDT)
References: <8760bvd2w7.fsf@HIDDEN> <59D4A431.7010801@HIDDEN>
 <831smjz2b2.fsf@HIDDEN> <874lrfcg4s.fsf@HIDDEN> <83wp4bxhyy.fsf@HIDDEN>
User-agent: mu4e 0.9.18; emacs 26.0.60
From: Bryan Gilbert <bryan@HIDDEN>
To: Eli Zaretskii <eliz@HIDDEN>
Subject: Re: bug#28695: 26.0.60;
 Rendering lag spikes caused by double-buffering on Linux
In-reply-to: <83wp4bxhyy.fsf@HIDDEN>
Date: Wed, 04 Oct 2017 08:02:44 -0400
Message-ID: <874lrfgly3.fsf@HIDDEN>
MIME-Version: 1.0
Content-Type: text/plain
X-Spam-Score: -0.7 (/)
X-Debbugs-Envelope-To: 28695
Cc: rudalics@HIDDEN, Bryan Gilbert <bryan@HIDDEN>, 28695 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -0.7 (/)


> Eli Zaretskii <eliz@HIDDEN> writes:
>
> Can you try lowering the screen resolution and using fullscreen Emacs
> frames under that lower resolution?
>
> Thanks.

I just flipped the resolution down to 1080p and it became barely noticeable.
Here's is quick screen capture:

  http://drop.bryan.sh/UImFf4Rnzf.mp4

You can still slightly see it doing something weird with glxgears. However,
without that visual indication on the screen it feels almost on par with double
buffering being disabled.

I'll also mention that apart from this being reliably reproduced while using
counsel-rg, I've been hard pressed to notice it in other places. For a while,
I even thought that this may have been a bug with Ivy until I found the commit
that introduced the slowdown. This coupled with the possibility that it's only
visible at higher resolutions may be why many people aren't experiencing issues. 




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#28695; Package emacs. Full text available.

Message received at 28695 <at> debbugs.gnu.org:


Received: (at 28695) by debbugs.gnu.org; 4 Oct 2017 11:37:03 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Wed Oct 04 07:37:03 2017
Received: from localhost ([127.0.0.1]:47652 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1dzhz5-0003l4-Cc
	for submit <at> debbugs.gnu.org; Wed, 04 Oct 2017 07:37:03 -0400
Received: from eggs.gnu.org ([208.118.235.92]:49499)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <eliz@HIDDEN>) id 1dzhz3-0003kW-Py
 for 28695 <at> debbugs.gnu.org; Wed, 04 Oct 2017 07:37:02 -0400
Received: from Debian-exim by eggs.gnu.org with spam-scanned (Exim 4.71)
 (envelope-from <eliz@HIDDEN>) id 1dzhyv-0002Cq-DY
 for 28695 <at> debbugs.gnu.org; Wed, 04 Oct 2017 07:36:56 -0400
X-Spam-Checker-Version: SpamAssassin 3.3.2 (2011-06-06) on eggs.gnu.org
X-Spam-Level: 
X-Spam-Status: No, score=0.8 required=5.0 tests=BAYES_50,RP_MATCHES_RCVD,
 URIBL_BLOCKED autolearn=disabled version=3.3.2
Received: from fencepost.gnu.org ([2001:4830:134:3::e]:54210)
 by eggs.gnu.org with esmtp (Exim 4.71) (envelope-from <eliz@HIDDEN>)
 id 1dzhyv-0002Ck-B7; Wed, 04 Oct 2017 07:36:53 -0400
Received: from 84.94.185.246.cable.012.net.il ([84.94.185.246]:1462
 helo=home-c4e4a596f7)
 by fencepost.gnu.org with esmtpsa (TLS1.2:RSA_AES_256_CBC_SHA1:256)
 (Exim 4.82) (envelope-from <eliz@HIDDEN>)
 id 1dzhyu-0006d2-BO; Wed, 04 Oct 2017 07:36:53 -0400
Date: Wed, 04 Oct 2017 14:36:37 +0300
Message-Id: <83wp4bxhyy.fsf@HIDDEN>
From: Eli Zaretskii <eliz@HIDDEN>
To: Bryan Gilbert <bryan@HIDDEN>
In-reply-to: <874lrfcg4s.fsf@HIDDEN> (message from Bryan Gilbert on Wed, 04
 Oct 2017 07:21:55 -0400)
Subject: Re: bug#28695: 26.0.60;
 Rendering lag spikes caused by double-buffering on Linux
References: <8760bvd2w7.fsf@HIDDEN> <59D4A431.7010801@HIDDEN>
 <831smjz2b2.fsf@HIDDEN> <874lrfcg4s.fsf@HIDDEN>
X-detected-operating-system: by eggs.gnu.org: GNU/Linux 2.2.x-3.x [generic]
X-Received-From: 2001:4830:134:3::e
X-Spam-Score: -5.0 (-----)
X-Debbugs-Envelope-To: 28695
Cc: rudalics@HIDDEN, 28695 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Reply-To: Eli Zaretskii <eliz@HIDDEN>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -5.0 (-----)

> From: Bryan Gilbert <bryan@HIDDEN>
> Cc: martin rudalics <rudalics@HIDDEN>, bryan@HIDDEN, 28695 <at> debbugs.gnu.org
> Date: Wed, 04 Oct 2017 07:21:55 -0400
> 
> I'm currently using a Dell XPS 15 laptop with a 4K display and running
> at a resolution of 3840x2160. I've noticed that the problem almost
> entirely disappears when I resize the window to a smaller size (roughly
> between 1/2 and 1/3 of the screen) instead of being fullscreen. It's
> possible that this is only being noticed at higher resolutions.

Can you try lowering the screen resolution and using fullscreen Emacs
frames under that lower resolution?

Thanks.




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#28695; Package emacs. Full text available.

Message received at 28695 <at> debbugs.gnu.org:


Received: (at 28695) by debbugs.gnu.org; 4 Oct 2017 11:22:00 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Wed Oct 04 07:22:00 2017
Received: from localhost ([127.0.0.1]:47641 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1dzhkW-0001V6-2u
	for submit <at> debbugs.gnu.org; Wed, 04 Oct 2017 07:22:00 -0400
Received: from out1-smtp.messagingengine.com ([66.111.4.25]:60165)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <bryan@HIDDEN>) id 1dzhkU-0001Uu-8K
 for 28695 <at> debbugs.gnu.org; Wed, 04 Oct 2017 07:21:58 -0400
Received: from compute6.internal (compute6.nyi.internal [10.202.2.46])
 by mailout.nyi.internal (Postfix) with ESMTP id 7943F20C37;
 Wed,  4 Oct 2017 07:21:57 -0400 (EDT)
Received: from frontend2 ([10.202.2.161])
 by compute6.internal (MEProxy); Wed, 04 Oct 2017 07:21:57 -0400
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=bryan.sh; h=cc
 :content-type:date:from:in-reply-to:message-id:mime-version
 :references:subject:to:x-me-sender:x-me-sender:x-sasl-enc
 :x-sasl-enc; s=fm1; bh=9OEh5H4X0k+rBLc+od8+pP4kvIWdPMp/jGJx2mual
 Bc=; b=Ibz0QDmnYJx1F6si+bERvhy/o/PnF1Zc+XRcBdmZCeylHiSGH/QWxFhp7
 tZDvuWI0V9EQwulzWnmFPX5EOwx/a0gjY4Dc0cThGa9NeN6YF8z0VJ5mV6beOX8M
 LLH7sjoBAhZz7qaWM4wRIArf/ly1JP0C0vyLs0aC0SChyZk92xoj7jLMF/37GFhK
 BfKL5Ojfc6cJLagP5OQVWwvVCINVTWgUVpKE/y30avFMPtjo1gb9NfFUIefV7vWu
 ldrbdlOLTd9VLaiz1xohTJLD/vy4sOJ3jicGD/02GS+hEoWtoQYzja+hQmb0yauu
 VBPisMfBfuSZL4/pwfG/K3ucmJZZg==
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=
 messagingengine.com; h=cc:content-type:date:from:in-reply-to
 :message-id:mime-version:references:subject:to:x-me-sender
 :x-me-sender:x-sasl-enc:x-sasl-enc; s=fm1; bh=9OEh5H4X0k+rBLc+od
 8+pP4kvIWdPMp/jGJx2mualBc=; b=PNbMugm4iVGYlREKuEqkTX87hRZ1x++X/0
 SAyu/tzXPBvwThZ0v9mIFi/Klau3taMjv76s6RnhLYfgnYa5g4Wqrww/t7stJfKb
 tHZI1DofnLnweJqFEwFVgQqk0N7uJWIqrPKmekq3kJyJ9YOJ9gnmwKBCs2eO201h
 Eoa+KCEo5MioYg4ZQn2NX0hC/lh4v3JMgvEyP6Cf5Z4dhZzOUXxRhV0y/qPVbnOy
 dPeEmUSdNXXV+uMEzjVacI1VmtQwL3xBwenxP3IBfoNmRPtJYnrY6X+KyUduIbMW
 Dn79AHbCtubEy0S3gDdT+K+S1yuLArfbNmpHPA4QkaKUJt62ndiw==
X-ME-Sender: <xms:VcTUWfxe3XpK_T1JOsySv50Pc1tIN0cZ5d6jTJinydsF-C43g_s2Ng>
X-Sasl-enc: SRgdhNOXjEZVn+AUVDGPQqssv+Cxu2hAZQE/6pnzdlEy 1507116117
Received: from borealis (23-116-242-116.lightspeed.chtnsc.sbcglobal.net
 [23.116.242.116])
 by mail.messagingengine.com (Postfix) with ESMTPA id 0E54124570;
 Wed,  4 Oct 2017 07:21:57 -0400 (EDT)
References: <8760bvd2w7.fsf@HIDDEN> <59D4A431.7010801@HIDDEN>
 <831smjz2b2.fsf@HIDDEN>
User-agent: mu4e 0.9.18; emacs 26.0.60
From: Bryan Gilbert <bryan@HIDDEN>
To: Eli Zaretskii <eliz@HIDDEN>
Subject: Re: bug#28695: 26.0.60;
 Rendering lag spikes caused by double-buffering on Linux
In-reply-to: <831smjz2b2.fsf@HIDDEN>
Date: Wed, 04 Oct 2017 07:21:55 -0400
Message-ID: <874lrfcg4s.fsf@HIDDEN>
MIME-Version: 1.0
Content-Type: text/plain
X-Spam-Score: -0.7 (/)
X-Debbugs-Envelope-To: 28695
Cc: martin rudalics <rudalics@HIDDEN>, bryan@HIDDEN, 28695 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -0.7 (/)


> Eli Zaretskii <eliz@HIDDEN> writes:
>
> Isn't it strange that only some people see these problems, while
> others (the majority?) are very happy with double-buffering?  Could it
> be that the problems are triggered by some specific system
> configurations or Emacs build-time features?  If so, we could perhaps
> turn it off only for those configurations, because people who are
> happy with this are extremely happy, and will probably be disappointed
> if we just turn it off globally.

I'm currently using a Dell XPS 15 laptop with a 4K display and running
at a resolution of 3840x2160. I've noticed that the problem almost
entirely disappears when I resize the window to a smaller size (roughly
between 1/2 and 1/3 of the screen) instead of being fullscreen. It's
possible that this is only being noticed at higher resolutions.




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#28695; Package emacs. Full text available.
Added indication that bug 28695 blocks24655 Request was from Eli Zaretskii <eliz@HIDDEN> to control <at> debbugs.gnu.org. Full text available.

Message received at 28695 <at> debbugs.gnu.org:


Received: (at 28695) by debbugs.gnu.org; 4 Oct 2017 09:32:27 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Wed Oct 04 05:32:27 2017
Received: from localhost ([127.0.0.1]:47535 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1dzg2V-0005Eq-3E
	for submit <at> debbugs.gnu.org; Wed, 04 Oct 2017 05:32:27 -0400
Received: from eggs.gnu.org ([208.118.235.92]:40964)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <eliz@HIDDEN>) id 1dzg2T-0005Ef-Kz
 for 28695 <at> debbugs.gnu.org; Wed, 04 Oct 2017 05:32:25 -0400
Received: from Debian-exim by eggs.gnu.org with spam-scanned (Exim 4.71)
 (envelope-from <eliz@HIDDEN>) id 1dzg2L-0007iq-C6
 for 28695 <at> debbugs.gnu.org; Wed, 04 Oct 2017 05:32:20 -0400
X-Spam-Checker-Version: SpamAssassin 3.3.2 (2011-06-06) on eggs.gnu.org
X-Spam-Level: 
X-Spam-Status: No, score=-0.0 required=5.0 tests=BAYES_20,RP_MATCHES_RCVD,
 URIBL_BLOCKED autolearn=disabled version=3.3.2
Received: from fencepost.gnu.org ([2001:4830:134:3::e]:52737)
 by eggs.gnu.org with esmtp (Exim 4.71) (envelope-from <eliz@HIDDEN>)
 id 1dzg2L-0007ii-8C; Wed, 04 Oct 2017 05:32:17 -0400
Received: from 84.94.185.246.cable.012.net.il ([84.94.185.246]:4042
 helo=home-c4e4a596f7)
 by fencepost.gnu.org with esmtpsa (TLS1.2:RSA_AES_256_CBC_SHA1:256)
 (Exim 4.82) (envelope-from <eliz@HIDDEN>)
 id 1dzg2I-0003F7-LX; Wed, 04 Oct 2017 05:32:15 -0400
Date: Wed, 04 Oct 2017 12:32:01 +0300
Message-Id: <831smjz2b2.fsf@HIDDEN>
From: Eli Zaretskii <eliz@HIDDEN>
To: martin rudalics <rudalics@HIDDEN>
In-reply-to: <59D4A431.7010801@HIDDEN> (message from martin rudalics on Wed,
 04 Oct 2017 11:04:49 +0200)
Subject: Re: bug#28695: 26.0.60;
 Rendering lag spikes caused by double-buffering on Linux
References: <8760bvd2w7.fsf@HIDDEN> <59D4A431.7010801@HIDDEN>
X-detected-operating-system: by eggs.gnu.org: GNU/Linux 2.2.x-3.x [generic]
X-Received-From: 2001:4830:134:3::e
X-Spam-Score: -5.0 (-----)
X-Debbugs-Envelope-To: 28695
Cc: bryan@HIDDEN, 28695 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Reply-To: Eli Zaretskii <eliz@HIDDEN>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -5.0 (-----)

> Date: Wed, 04 Oct 2017 11:04:49 +0200
> From: martin rudalics <rudalics@HIDDEN>
> 
> Unless this problem (and that of Bug#28652) get fixed, we should either
> disable double buffering by default or add some special warning so users
> do not have to spend their time investigating this issue.

Isn't it strange that only some people see these problems, while
others (the majority?) are very happy with double-buffering?  Could it
be that the problems are triggered by some specific system
configurations or Emacs build-time features?  If so, we could perhaps
turn it off only for those configurations, because people who are
happy with this are extremely happy, and will probably be disappointed
if we just turn it off globally.




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#28695; Package emacs. Full text available.

Message received at 28695 <at> debbugs.gnu.org:


Received: (at 28695) by debbugs.gnu.org; 4 Oct 2017 09:05:10 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Wed Oct 04 05:05:10 2017
Received: from localhost ([127.0.0.1]:47493 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1dzfc6-0004WH-5F
	for submit <at> debbugs.gnu.org; Wed, 04 Oct 2017 05:05:10 -0400
Received: from mout.gmx.net ([212.227.17.22]:52826)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <rudalics@HIDDEN>) id 1dzfc4-0004W3-2j
 for 28695 <at> debbugs.gnu.org; Wed, 04 Oct 2017 05:05:08 -0400
Received: from [192.168.1.100] ([46.125.250.31]) by mail.gmx.com (mrgmx102
 [212.227.17.168]) with ESMTPSA (Nemesis) id 0LkBPy-1dT60n2PPe-00cBX2; Wed, 04
 Oct 2017 11:04:59 +0200
Message-ID: <59D4A431.7010801@HIDDEN>
Date: Wed, 04 Oct 2017 11:04:49 +0200
From: martin rudalics <rudalics@HIDDEN>
MIME-Version: 1.0
To: Bryan Gilbert <bryan@HIDDEN>, 28695 <at> debbugs.gnu.org
Subject: Re: bug#28695: 26.0.60;
 Rendering lag spikes caused by double-buffering on Linux
References: <8760bvd2w7.fsf@HIDDEN>
In-Reply-To: <8760bvd2w7.fsf@HIDDEN>
Content-Type: text/plain; charset=UTF-8; format=flowed
Content-Transfer-Encoding: 7bit
X-Provags-ID: V03:K0:pehzfpNYvlpv3QC9bJWul/FaPoxfRCOa5ig0VHzF1akHvvPlp1I
 MRMdmWFOtrjc13+1l/dCxaSFIc+8kfLvi1j/kmHnkBZbyf4fF3FWU2q42PxfhWlM19cuWzH
 XkH5uqxS4+d0b6qZ8q82f6JnUrEfB0CsW6dFO9IKdXwRScbJoUOpzPG0+yCueLNNs6Py66f
 93IyDMhBcSSj1eVcYsV+g==
X-UI-Out-Filterresults: notjunk:1;V01:K0:e7HO/uwXkCg=:gXPyUp9HsraXHtMf9aUwFr
 uQvxU33fvTI25qlWd+QU2iz8g/KTT0AjXGjHfRSqSCUQB9wha9gsDzVcxKmT0zDu7GtERM1kn
 ZWL06r3HY9qhBKvNBZE4Ha/bNwSLmcgu+7BHl8rTt5wYvxsNsNz5dDRjE+xuNn9zlMScbZdpp
 EqhvVaNZqr40xuVdZg+qX0mBP7veUrmncJou8+Zei2HZELriEXW3kQX1y6h95k3mi/j6LB+rD
 Xa8rGN6Esr1i6I8/FmSTQue/dBIDSWObqI9x2nQoP9hAuKeQiM4MTgNUvb+BkPP07ZpPFP9va
 3st6toio5dy6OCsq8R3Dcs3LwyL3VtIV/uHKAdD6KvrSzxpkyzXpFhKNee1MNk9AuShYJDDDh
 PpJl22Gnn5yLr7Z77kqR0vxu2xc3ifUKiAPN6KayL1GUj+LPvesx1f0WDwwjKuRSyIW9Cm94N
 0TJMasuBMFYySQBoOFBHA1p1bv6dKf/AS0fvSBpVlGKD5aFNFk+NpzigbNr4HE50m0RbCITyb
 b45OlYyuvws8bv3PgWggN4z7m+dRN0Brxx3kLq+VsNdQkuRXXcsh0Ji308HH6oHP7dxMtqfCk
 3h1ye0+8BN0fBONLwZvXpyPsELXfXxwx+eip7SX7EYWA9uMaR3W5sY6u7unwjvRvMakXhvhf1
 6cH7m1FCzVgWe0A66GVT5ZyeDlZ+uu1t9tIZua0CnmCVYjDTc0NwN9SP3JnT4Rh65Y0XogxHR
 CdnBrdY5/1Gbm89D4b8m6dDOpP/mDwKl8y2Cjvaf4uqObj5wFq5HLVSOggUwOP7PtF1VSwznf
 vctJn5pUWJeCL1xqnx398rZIjnXnmuN6qkuU3CoeEbaHX1V76hyvFFdW/Hdx4VVfhcEbG3c
X-Spam-Score: -0.2 (/)
X-Debbugs-Envelope-To: 28695
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -0.2 (/)

 > I was able to verify that reverting to the previous commit before
 > double-buffering was added completely removed the problem. I've made two
 > short screencasts, one before the double-buffer commit and the other
 > after.

Unless this problem (and that of Bug#28652) get fixed, we should either
disable double buffering by default or add some special warning so users
do not have to spend their time investigating this issue.

martin




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#28695; Package emacs. Full text available.

Message received at 28695 <at> debbugs.gnu.org:


Received: (at 28695) by debbugs.gnu.org; 4 Oct 2017 07:53:47 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Wed Oct 04 03:53:47 2017
Received: from localhost ([127.0.0.1]:47414 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1dzeV1-0002cl-33
	for submit <at> debbugs.gnu.org; Wed, 04 Oct 2017 03:53:47 -0400
Received: from eggs.gnu.org ([208.118.235.92]:46152)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <eliz@HIDDEN>) id 1dzeV0-0002ca-85
 for 28695 <at> debbugs.gnu.org; Wed, 04 Oct 2017 03:53:46 -0400
Received: from Debian-exim by eggs.gnu.org with spam-scanned (Exim 4.71)
 (envelope-from <eliz@HIDDEN>) id 1dzeUr-0006ok-UQ
 for 28695 <at> debbugs.gnu.org; Wed, 04 Oct 2017 03:53:41 -0400
X-Spam-Checker-Version: SpamAssassin 3.3.2 (2011-06-06) on eggs.gnu.org
X-Spam-Level: 
X-Spam-Status: No, score=0.8 required=5.0 tests=BAYES_50,RP_MATCHES_RCVD,
 URIBL_BLOCKED autolearn=disabled version=3.3.2
Received: from fencepost.gnu.org ([2001:4830:134:3::e]:51412)
 by eggs.gnu.org with esmtp (Exim 4.71) (envelope-from <eliz@HIDDEN>)
 id 1dzeUr-0006oY-Qr; Wed, 04 Oct 2017 03:53:37 -0400
Received: from 84.94.185.246.cable.012.net.il ([84.94.185.246]:3714
 helo=home-c4e4a596f7)
 by fencepost.gnu.org with esmtpsa (TLS1.2:RSA_AES_256_CBC_SHA1:256)
 (Exim 4.82) (envelope-from <eliz@HIDDEN>)
 id 1dzeUr-0004qA-6T; Wed, 04 Oct 2017 03:53:37 -0400
Date: Wed, 04 Oct 2017 10:53:23 +0300
Message-Id: <83efqjz6vg.fsf@HIDDEN>
From: Eli Zaretskii <eliz@HIDDEN>
To: Bryan Gilbert <bryan@HIDDEN>
In-reply-to: <8760bvd2w7.fsf@HIDDEN> (message from Bryan Gilbert on Tue, 03
 Oct 2017 23:10:16 -0400)
Subject: Re: bug#28695: 26.0.60;
 Rendering lag spikes caused by double-buffering on Linux
References: <8760bvd2w7.fsf@HIDDEN>
X-detected-operating-system: by eggs.gnu.org: GNU/Linux 2.2.x-3.x [generic]
X-Received-From: 2001:4830:134:3::e
X-Spam-Score: -5.0 (-----)
X-Debbugs-Envelope-To: 28695
Cc: 28695 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Reply-To: Eli Zaretskii <eliz@HIDDEN>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -5.0 (-----)

> From: Bryan Gilbert <bryan@HIDDEN>
> Date: Tue, 03 Oct 2017 23:10:16 -0400
> 
> Step number 3 is a bit of a messy step, however by lowering the minimum
> query size from 3 characters to 1 character makes the rendering lag spikes
> painfully obvious.

Thanks for the report.

While we are waiting for the double-buffering issues to be looked at,
you should be able to work around this problem by using the following
snippet from NEWS:

  If your system has [the XDBE] extension, but an
  Emacs built with double buffering misbehaves on some displays you use,
  you can disable the feature by adding

    '(inhibit-double-buffering . t)

  to default-frame-alist.  Or inject this parameter into the selected
  frame by evaluating this form:

    (modify-frame-parameters nil '((inhibit-double-buffering . t)))




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#28695; Package emacs. Full text available.

Message received at submit <at> debbugs.gnu.org:


Received: (at submit) by debbugs.gnu.org; 4 Oct 2017 06:19:10 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Wed Oct 04 02:19:10 2017
Received: from localhost ([127.0.0.1]:47256 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1dzd1S-0008QE-1f
	for submit <at> debbugs.gnu.org; Wed, 04 Oct 2017 02:19:10 -0400
Received: from eggs.gnu.org ([208.118.235.92]:53304)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <bryan@HIDDEN>) id 1dza4v-0003OT-E1
 for submit <at> debbugs.gnu.org; Tue, 03 Oct 2017 23:10:33 -0400
Received: from Debian-exim by eggs.gnu.org with spam-scanned (Exim 4.71)
 (envelope-from <bryan@HIDDEN>) id 1dza4o-0005YF-VD
 for submit <at> debbugs.gnu.org; Tue, 03 Oct 2017 23:10:28 -0400
X-Spam-Checker-Version: SpamAssassin 3.3.2 (2011-06-06) on eggs.gnu.org
X-Spam-Level: 
X-Spam-Status: No, score=0.8 required=5.0 tests=BAYES_50,T_DKIM_INVALID
 autolearn=disabled version=3.3.2
Received: from lists.gnu.org ([2001:4830:134:3::11]:36573)
 by eggs.gnu.org with esmtps (TLS1.0:RSA_AES_256_CBC_SHA1:32)
 (Exim 4.71) (envelope-from <bryan@HIDDEN>) id 1dza4o-0005Y0-Rn
 for submit <at> debbugs.gnu.org; Tue, 03 Oct 2017 23:10:26 -0400
Received: from eggs.gnu.org ([2001:4830:134:3::10]:44267)
 by lists.gnu.org with esmtp (Exim 4.71)
 (envelope-from <bryan@HIDDEN>) id 1dza4n-00086r-GA
 for bug-gnu-emacs@HIDDEN; Tue, 03 Oct 2017 23:10:26 -0400
Received: from Debian-exim by eggs.gnu.org with spam-scanned (Exim 4.71)
 (envelope-from <bryan@HIDDEN>) id 1dza4k-0005T0-8X
 for bug-gnu-emacs@HIDDEN; Tue, 03 Oct 2017 23:10:25 -0400
Received: from out1-smtp.messagingengine.com ([66.111.4.25]:36613)
 by eggs.gnu.org with esmtps (TLS1.0:DHE_RSA_AES_256_CBC_SHA1:32)
 (Exim 4.71) (envelope-from <bryan@HIDDEN>) id 1dza4j-0005OA-B3
 for bug-gnu-emacs@HIDDEN; Tue, 03 Oct 2017 23:10:22 -0400
Received: from compute6.internal (compute6.nyi.internal [10.202.2.46])
 by mailout.nyi.internal (Postfix) with ESMTP id 77DB2210F0
 for <bug-gnu-emacs@HIDDEN>; Tue,  3 Oct 2017 23:10:17 -0400 (EDT)
Received: from frontend2 ([10.202.2.161])
 by compute6.internal (MEProxy); Tue, 03 Oct 2017 23:10:17 -0400
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=bryan.sh; h=
 content-type:date:from:message-id:mime-version:subject:to
 :x-me-sender:x-me-sender:x-sasl-enc:x-sasl-enc; s=fm1; bh=cQp/Fa
 Qxqm0OCOFauFx3tLpaUfzvbsf4GHvmzzhP5Us=; b=O6WgIxvggUM2pMIEuykJwh
 YVKK5I5x6KfoC/jWvfPNNS2y2OVw+b5/CoZ2okWq2iFVhNeSWlf04rUXXNW30/dr
 5McN+F3454k9PRsjJ0i+NVsf/7yl0OObyGFft9hGSrjxdK/eAlUE35qh9Y9q9egC
 0n6QeqaoWGuVrjNS8sTiUGNBbozfJuBo/gMvzHPvZ3Y/THkrmAVeCoYWTKamRh2E
 9TzQsO5PgumZeMMrh3yag2ieIHcXjRfAWdZtqgduDUQ9D/QRik7OsZsvFTt6zEtQ
 CcLa/sAvhWSJct2kd460ZHFY2GrgdRbjNHH71oKo1ZWOBAPVB1WLc+XUTqy0WMTw
 ==
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=
 messagingengine.com; h=content-type:date:from:message-id
 :mime-version:subject:to:x-me-sender:x-me-sender:x-sasl-enc
 :x-sasl-enc; s=fm1; bh=cQp/FaQxqm0OCOFauFx3tLpaUfzvbsf4GHvmzzhP5
 Us=; b=Bu13w4u53tGy04ifWDhWoqg+gbA+p1nzwD1ML3eu485uaU6xeQsvI5fdy
 97e4xTzL/N2IF3zoId1wjydUu28MD/Smt6W4VMaSbt0LSb0K7qGScro1PNhmY5Vu
 sIJnouG5X3XhuXck43/i/zoOWvhBntlnwNirLBfDqL/GMDVKM9kYT7WmKt0ipVVH
 1mYaSeW6OuYscMocdClMnL88t2N628MebCHM4iagRAeNNO9HipmETYih3IFB4tbu
 fO6nUTxj7mcJcmMb5j3LRJq/DRwWdJ3YSFgb9EcTXfVxj7GVF9kp1Kcp+usX0EzM
 D8l87qiDlViP17NOPfg8lOy7PdMqA==
X-ME-Sender: <xms:GVHUWYsOoMipX0mGAmZDrunZMAA9w2s-95CnK1wfg0552YK3X59GBw>
X-Sasl-enc: VXKD1y3cssGEQmXT/P/JhIELeJjx787vO4vjwBl30Cdy 1507086617
Received: from borealis (23-116-242-116.lightspeed.chtnsc.sbcglobal.net
 [23.116.242.116])
 by mail.messagingengine.com (Postfix) with ESMTPA id 21C0A24586
 for <bug-gnu-emacs@HIDDEN>; Tue,  3 Oct 2017 23:10:17 -0400 (EDT)
User-agent: mu4e 0.9.18; emacs 26.0.60
From: Bryan Gilbert <bryan@HIDDEN>
To: bug-gnu-emacs@HIDDEN
Subject: 26.0.60; Rendering lag spikes caused by double-buffering on Linux
Date: Tue, 03 Oct 2017 23:10:16 -0400
Message-ID: <8760bvd2w7.fsf@HIDDEN>
MIME-Version: 1.0
Content-Type: text/plain
X-detected-operating-system: by eggs.gnu.org: GNU/Linux 2.2.x-3.x [generic]
 [fuzzy]
X-detected-operating-system: by eggs.gnu.org: GNU/Linux 2.6.x
X-Received-From: 2001:4830:134:3::11
X-Spam-Score: -4.4 (----)
X-Debbugs-Envelope-To: submit
X-Mailman-Approved-At: Wed, 04 Oct 2017 02:19:07 -0400
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -4.4 (----)

Hi,

I've been using the Emacs 26 release branch and I've noticed a
significant amount of rendering lag spikes. When this occurs the UI
completely locks up in Emacs (and the desktop) for short periods of
time. Better than an explanation I have two very short screencasts
included below the display the behavior.

I've been able to reproduce the problem with 100% reliability using the
`counsel-rg` command from ivy/swiper (full details to reproduce below).
I've also used git bisect to narrow down the exact commit these lag
spikes were introduced as this commit:

https://github.com/emacs-mirror/emacs/commit/c29071587c64efb30792bd72248d3c791abd9337

I was able to verify that reverting to the previous commit before
double-buffering was added completely removed the problem. I've made two
short screencasts, one before the double-buffer commit and the other
after.

Before: http://drop.bryan.sh/YtUzfcSRp7.mp4
After: http://drop.bryan.sh/UyRpSc4NyQ.mp4

The behavior is unaffected by the glxgears program I have running in
both screencasts, I just used it as a method to show when the screen is
locking up. In the second screencast when it looks like the screen is
completely locked up, I am just pressing the 'e' and 'backspace' in
alternation once every second.

Two minor precursors to running the steps to reproduce are that one
would need to be running Linux and have 'rg' installed. 

Steps to Reproduce using emacs -Q:

1. Add the melpa archive

    (require 'package)
    (add-to-list 'package-archives
                '("melpa" . "http://melpa.org/packages/"))

2. Install Counsel:

    (package-refresh-contents)
    (package-install) ;; counsel

3. Enable Ivy:

    (ivy-mode 1)

4. Change counsel-rg minimum query length from 3 characters to 1 character:

    (defun ivy-counsel-ag-function (string base-cmd extra-ag-args)
      (when (null extra-ag-args)
          (setq extra-ag-args ""))
      (if (< (length string) 1)  ;; #1
          (counsel-more-chars 1)
          (let ((default-directory counsel--git-dir)
              (regex (counsel-unquote-regex-parens
                      (setq ivy--old-re
                              (ivy--regex
                              (counsel-unquote-regex-parens string)))))) ;; #2
          (let* ((args-end (string-match " -- " extra-ag-args))
                  (file (if args-end
                          (substring-no-properties extra-ag-args (+ args-end 3))
                          ""))
                  (extra-ag-args (if args-end
                                      (substring-no-properties extra-ag-args 0 args-end)
                                  extra-ag-args))
                  (ag-cmd (format base-cmd
                                  (concat extra-ag-args
                                          " -- "
                                          (shell-quote-argument regex)
                                          file))))
              (if (file-remote-p default-directory)
                  (split-string (shell-command-to-string ag-cmd) "\n" t)
              (counsel--async-command ag-cmd)
              nil)))))

    (advice-add #'counsel-ag-function :override #'+ivy*counsel-ag-function)

5. Run 'counsel-rg', begin typing, and notice large lag spikes

    (counsel-rg)


Step number 3 is a bit of a messy step, however by lowering the minimum
query size from 3 characters to 1 character makes the rendering lag spikes
painfully obvious.

Thanks!


=========================================================================


In GNU Emacs 26.0.60 (build 1, x86_64-pc-linux-gnu, GTK+ Version 3.22.21)
 of 2017-09-28 built on borealis
Repository revision: 88a0dd71f10ffb63fba08c062e948551c3e876c2
Windowing system distributor 'The X.Org Foundation', version 11.0.11903000
System Description:	Arch Linux

Configured using:
 'configure --prefix=/usr --sysconfdir=/etc --libexecdir=/usr/lib
 --localstatedir=/var --mandir=/usr/share/man --with-gameuser=:games
 --with-sound=alsa --with-xft --with-modules --with-x-toolkit=gtk3
 --without-gconf --without-gsettings --without-gpm --without-m17n-flt
 --with-xwidgets --without-compress-install 'CFLAGS=-march=x86-64
 -mtune=generic -O2 -pipe -fstack-protector-strong -fno-plt'
 CPPFLAGS=-D_FORTIFY_SOURCE=2
 LDFLAGS=-Wl,-O1,--sort-common,--as-needed,-z,relro,-z,now'

Configured features:
XPM JPEG TIFF GIF PNG RSVG IMAGEMAGICK SOUND DBUS NOTIFY ACL GNUTLS
LIBXML2 FREETYPE LIBOTF XFT ZLIB TOOLKIT_SCROLL_BARS GTK3 X11 MODULES
XWIDGETS LIBSYSTEMD LCMS2

Important settings:
  value of $LC_COLLATE: 
  value of $LC_CTYPE: 
  value of $LC_MESSAGES: 
  value of $LC_MONETARY: 
  value of $LC_NUMERIC: 
  value of $LC_TIME: 
  value of $LANG: en_US.UTF-8
  locale-coding-system: utf-8




Acknowledgement sent to Bryan Gilbert <bryan@HIDDEN>:
New bug report received and forwarded. Copy sent to bug-gnu-emacs@HIDDEN. Full text available.
Report forwarded to bug-gnu-emacs@HIDDEN:
bug#28695; Package emacs. Full text available.
Please note: This is a static page, with minimal formatting, updated once a day.
Click here to see this page with the latest information and nicer formatting.
Last modified: Mon, 25 Nov 2019 12:00:02 UTC

GNU bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997 nCipher Corporation Ltd, 1994-97 Ian Jackson.